import { defineComponent as A, computed as x, openBlock as f, createElementBlock as v, normalizeClass as C, renderSlot as O, createElementVNode as $, createCommentVNode as S, withKeys as Et, withModifiers as dt, toDisplayString as D, createTextVNode as se, mergeProps as te, createBlock as q, resolveDynamicComponent as he, ref as R, watch as U, onMounted as qe, onUnmounted as pt, withDirectives as me, vModelText as Tt, Fragment as ae, renderList as _e, vShow as De, normalizeStyle as E, unref as _, Transition as $e, withCtx as le, Teleport as Ye, createVNode as xe, shallowRef as It, getCurrentScope as ft, onScopeDispose as gt, shallowReadonly as pe, readonly as jt, toValue as Ft, inject as Ke, provide as je, nextTick as ht, createStaticVNode as Wt } from "vue";
const Xe = {
  primary: {
    base: "blue",
    light: "50",
    main: "500",
    dark: "600",
    hover: "550",
    border: "600",
    focus: "600"
  },
  secondary: {
    base: "gray",
    light: "200",
    main: "575",
    dark: "700",
    hover: "600",
    border: "600",
    focus: "500"
  },
  success: {
    base: "green",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  warning: {
    base: "yellow",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  danger: {
    base: "red",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  info: {
    base: "sea-blue",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  dark: {
    base: "gray",
    light: "100",
    main: "900",
    dark: "950",
    hover: "800",
    border: "300",
    focus: "700"
  },
  light: {
    base: "gray",
    light: "50",
    main: "300",
    dark: "500",
    hover: "400",
    border: "200",
    focus: "300"
  }
}, ne = (s, t, e = {}) => {
  const { hover: o = !1, active: n = !1, focus: a = !1, disabled: r = !1 } = e;
  if (r)
    return "cstu-bg-gray-100 cstu-border-gray-200 cstu-text-gray-400 cstu-cursor-not-allowed";
  const l = Xe[s];
  if (!l || t === "default")
    return "";
  if (t === "text")
    return [
      `cstu-text-${l.base}-${l.main}`,
      o && `hover:cstu-text-${l.base}-${l.hover}`,
      n && `active:cstu-text-${l.base}-${l.dark}`,
      a && `focus:cstu-text-${l.base}-${l.focus}`,
      r && "cstu-opacity-50 cstu-cursor-not-allowed"
    ].filter(Boolean);
  const i = [];
  switch (t) {
    case "filled":
      i.push(`cstu-bg-${l.base}-${l.main}`), i.push("cstu-text-white"), o && i.push(`hover:cstu-bg-${l.base}-${l.hover} hover:cstu-shadow-md`), n && i.push(`active:cstu-bg-${l.base}-${l.dark}`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "light":
      i.push(`cstu-bg-${l.base}-${l.light}`), i.push(`cstu-text-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-250`), n && i.push(`active:cstu-bg-${l.base}-300 active:!cstu-text-white`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "outline":
      i.push("cstu-bg-white"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-50`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "subtle":
      i.push(`cstu-text-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-50`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "white":
      i.push("cstu-bg-white cstu-text-gray-900"), o && i.push("hover:cstu-bg-gray-50"), n && i.push("active:cstu-bg-gray-100"), a && i.push("focus:cstu-ring-gray-200");
      break;
    case "dot":
      i.push(`cstu-bg-${l.base}-${l.main}`);
      break;
    case "bordered":
      i.push("cstu-bg-white"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.border}`), o && i.push(`hover:cstu-bg-${l.base}-50 hover:cstu-border-${l.base}-${l.main}`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "bordered-transparent":
      i.push("cstu-bg-transparent"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.border}`), o && i.push(`hover:cstu-bg-${l.base}-50/10 hover:cstu-border-${l.base}-${l.main}`), n && i.push(`active:cstu-bg-${l.base}-100/20`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
  }
  return i.join(" ");
}, Ht = (s, t) => {
  if (t === "filled")
    return "cstu-text-white";
  const e = Xe[s];
  return `cstu-text-${e.base}-${e.main}`;
}, Nt = (s, t) => {
  if (t === "filled")
    return "cstu-text-white";
  const e = Xe[s];
  return `cstu-text-${e.base}-${e.main}`;
}, qt = (s) => {
  const t = ["cstu-shadow-sm", "cstu-transition-all cstu-duration-200"];
  switch (s) {
    case "filled":
      t.push("cstu-border-transparent");
      break;
    case "light":
      t.push("cstu-border");
      break;
    case "outline":
      t.push("cstu-border");
      break;
    case "subtle":
      t.push("cstu-shadow-none");
      break;
    case "white":
      t.push("cstu-border");
      break;
    default:
      t.push("cstu-border");
  }
  return t.join(" ");
}, Ue = {
  button: {
    xs: { height: "cstu-h-[30px]", gap: "cstu-gap-[0.55rem]", padding: { x: "cstu-px-[0.67rem]", y: "cstu-py-[0.67rem]" }, text: "cstu-text-xs cstu-leading-none", icon: "cstu-w-3 cstu-h-3" },
    sm: { height: "cstu-h-[36px]", gap: "cstu-gap-[0.66rem]", padding: { x: "cstu-px-[0.8rem]", y: "cstu-py-[0.8rem]" }, text: "cstu-text-sm cstu-leading-none", icon: "cstu-w-4 cstu-h-4" },
    md: { height: "cstu-h-[40px]", gap: "cstu-gap-[0.74rem]", padding: { x: "cstu-px-[0.89rem]", y: "cstu-py-[0.89rem]" }, text: "cstu-text-base cstu-leading-none", icon: "cstu-w-5 cstu-h-5" },
    lg: { height: "cstu-h-[45px]", gap: "cstu-gap-[0.83rem]", padding: { x: "cstu-px-4", y: "cstu-py-4" }, text: "cstu-text-lg cstu-leading-none", icon: "cstu-w-6 cstu-h-6" },
    xl: { height: "cstu-h-[50px]", gap: "cstu-gap-[0.92rem]", padding: { x: "cstu-px-[1.11rem]", y: "cstu-py-[1.11rem]" }, text: "cstu-text-xl cstu-leading-none", icon: "cstu-w-7 cstu-h-7" }
  },
  badge: {
    xs: { padding: { x: "cstu-px-2", y: "cstu-py-0.5" }, text: "cstu-text-xs", icon: "cstu-w-3 cstu-h-3" },
    sm: { padding: { x: "cstu-px-2.5", y: "cstu-py-1" }, text: "cstu-text-sm", icon: "cstu-w-3.5 cstu-h-3.5" },
    md: { padding: { x: "cstu-px-3", y: "cstu-py-1.5" }, text: "cstu-text-base", icon: "cstu-w-4 cstu-h-4" },
    lg: { padding: { x: "cstu-px-4", y: "cstu-py-2" }, text: "cstu-text-lg", icon: "cstu-w-5 cstu-h-5" },
    xl: { padding: { x: "cstu-px-5", y: "cstu-py-2.5" }, text: "cstu-text-xl", icon: "cstu-w-6 cstu-h-6" }
  },
  input: {
    xs: { padding: { x: "cstu-px-2", y: "cstu-py-1" }, text: "cstu-text-xs", height: "cstu-h-7" },
    sm: { padding: { x: "cstu-px-3", y: "cstu-py-1.5" }, text: "cstu-text-sm", height: "cstu-h-8" },
    md: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-base", height: "cstu-h-10" },
    lg: { padding: { x: "cstu-px-4", y: "cstu-py-2.5" }, text: "cstu-text-lg", height: "cstu-h-11" },
    xl: { padding: { x: "cstu-px-4", y: "cstu-py-3" }, text: "cstu-text-xl", height: "cstu-h-12" }
  },
  notification: {
    xs: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-xs" },
    sm: { padding: { x: "cstu-px-4", y: "cstu-py-2.5" }, text: "cstu-text-sm" },
    md: { padding: { x: "cstu-px-4", y: "cstu-py-3" }, text: "cstu-text-base" },
    lg: { padding: { x: "cstu-px-5", y: "cstu-py-4" }, text: "cstu-text-lg" },
    xl: { padding: { x: "cstu-px-6", y: "cstu-py-5" }, text: "cstu-text-xl" }
  },
  switch: {
    xs: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-xs", height: "cstu-h-4" },
    sm: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-sm", height: "cstu-h-5" },
    md: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-base", height: "cstu-h-6" },
    lg: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-lg", height: "cstu-h-7" },
    xl: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-xl", height: "cstu-h-8" }
  },
  chip: {
    xs: { padding: { x: "cstu-px-1.5", y: "cstu-py-0.5" }, text: "cstu-text-xs", icon: "cstu-w-2.5 cstu-h-2.5" },
    sm: { padding: { x: "cstu-px-2", y: "cstu-py-1" }, text: "cstu-text-sm", icon: "cstu-w-3 cstu-h-3" },
    md: { padding: { x: "cstu-px-2.5", y: "cstu-py-1.5" }, text: "cstu-text-base", icon: "cstu-w-3.5 cstu-h-3.5" },
    lg: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-lg", icon: "cstu-w-4 cstu-h-4" },
    xl: { padding: { x: "cstu-px-3.5", y: "cstu-py-2.5" }, text: "cstu-text-xl", icon: "cstu-w-4.5 cstu-h-4.5" }
  },
  checkbox: {
    xs: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-xs", icon: "cstu-w-2 cstu-h-2" },
    sm: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-sm", icon: "cstu-w-2.5 cstu-h-2.5" },
    md: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-base", icon: "cstu-w-3 cstu-h-3" },
    lg: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-lg", icon: "cstu-w-4 cstu-h-4" },
    xl: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-xl", icon: "cstu-w-5 cstu-h-5" }
  },
  indicator: {
    xs: { padding: { x: "cstu-px-0.5", y: "cstu-py-0.5" }, text: "cstu-text-[10px]", height: "cstu-h-3.5 cstu-min-w-3.5" },
    sm: { padding: { x: "cstu-px-1", y: "cstu-py-0.5" }, text: "cstu-text-[11px]", height: "cstu-h-4 cstu-min-w-4" },
    md: { padding: { x: "cstu-px-1.5", y: "cstu-py-0.5" }, text: "cstu-text-xs", height: "cstu-h-5 cstu-min-w-5" },
    lg: { padding: { x: "cstu-px-2", y: "cstu-py-0.5" }, text: "cstu-text-xs", height: "cstu-h-6 cstu-min-w-6" },
    xl: { padding: { x: "cstu-px-2.5", y: "cstu-py-0.5" }, text: "cstu-text-sm", height: "cstu-h-7 cstu-min-w-7" }
  },
  progress: {
    xs: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-xs", height: "cstu-h-1" },
    sm: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-sm", height: "cstu-h-1.5" },
    md: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-base", height: "cstu-h-2" },
    lg: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-sm", height: "cstu-h-6" },
    xl: { padding: { x: "cstu-px-0", y: "cstu-py-0" }, text: "cstu-text-base", height: "cstu-h-8" }
  },
  alert: {
    xs: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-xs", icon: "cstu-w-4 cstu-h-4" },
    sm: { padding: { x: "cstu-px-3", y: "cstu-py-2.5" }, text: "cstu-text-sm", icon: "cstu-w-5 cstu-h-5" },
    md: { padding: { x: "cstu-px-4", y: "cstu-py-3" }, text: "cstu-text-base", icon: "cstu-w-5 cstu-h-5" },
    lg: { padding: { x: "cstu-px-5", y: "cstu-py-4" }, text: "cstu-text-lg", icon: "cstu-w-6 cstu-h-6" },
    xl: { padding: { x: "cstu-px-6", y: "cstu-py-5" }, text: "cstu-text-xl", icon: "cstu-w-7 cstu-h-7" }
  },
  segmentedControl: {
    xs: { gap: "cstu-gap-[8px]", padding: { x: "cstu-px-[10.5px]", y: "cstu-py-[3.5px]" }, text: "cstu-text-xs", height: "cstu-h-6" },
    sm: { gap: "cstu-gap-[9px]", padding: { x: "cstu-px-[12px]", y: "cstu-py-[4px]" }, text: "cstu-text-sm", height: "cstu-h-8" },
    md: { gap: "cstu-gap-[10px]", padding: { x: "cstu-px-[13.5px]", y: "cstu-py-[4.5px]" }, text: "cstu-text-base", height: "cstu-h-10" },
    lg: { gap: "cstu-gap-[11px]", padding: { x: "cstu-px-[15px]", y: "cstu-py-[5px]" }, text: "cstu-text-lg", height: "cstu-h-12" },
    xl: { gap: "cstu-gap-[12px]", padding: { x: "cstu-px-[16.5px]", y: "cstu-py-[5.5px]" }, text: "cstu-text-xl", height: "cstu-h-14" }
  },
  segmentedControlContainer: {
    xs: { gap: "cstu-gap-[5.25px]", padding: { x: "cstu-px-[5.25px]", y: "cstu-py-[5.25px]" } },
    sm: { gap: "cstu-gap-[6px]", padding: { x: "cstu-px-[6px]", y: "cstu-py-[6px]" } },
    md: { gap: "cstu-gap-[6.75px]", padding: { x: "cstu-px-[6.75px]", y: "cstu-py-[6.75px]" } },
    lg: { gap: "cstu-gap-[7.5px]", padding: { x: "cstu-px-[7.5px]", y: "cstu-py-[7.5px]" } },
    xl: { gap: "cstu-gap-[8.25px]", padding: { x: "cstu-px-[8.25px]", y: "cstu-py-[8.25px]" } }
  },
  dropdown: {
    xs: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "cstu-text-xs", height: void 0, icon: void 0, gap: "cstu-gap-[9px]" },
    sm: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "cstu-text-sm", height: void 0, icon: void 0, gap: "cstu-gap-[9px]" },
    md: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "cstu-text-base", height: void 0, icon: void 0, gap: "cstu-gap-[9px]" },
    lg: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "cstu-text-lg", height: void 0, icon: void 0, gap: "cstu-gap-[9px]" },
    xl: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "cstu-text-xl", height: void 0, icon: void 0, gap: "cstu-gap-[9px]" }
  }
}, I = (s, t) => {
  var e, o;
  if (typeof t == "string") {
    const n = Ue[t][s];
    return [(e = n == null ? void 0 : n.padding) == null ? void 0 : e.x, (o = n == null ? void 0 : n.padding) == null ? void 0 : o.y, n == null ? void 0 : n.text, n == null ? void 0 : n.gap].filter(Boolean).join(" ");
  }
  return t[s];
}, mt = (s, t) => Ue[t][s].icon || "", Ve = (s, t) => Ue[t][s].height || "", Ge = (s) => {
  switch (s) {
    case "xs":
      return "cstu-text-xs";
    case "sm":
      return "cstu-text-sm";
    case "md":
      return "cstu-text-base";
    case "lg":
      return "cstu-text-lg";
    case "xl":
      return "cstu-text-xl";
    default:
      return "cstu-text-base";
  }
}, xt = (s) => {
  switch (s) {
    case "xs":
      return "cstu-space-x-1";
    case "sm":
      return "cstu-space-x-2";
    case "md":
      return "cstu-space-x-3";
    case "lg":
      return "cstu-space-x-4";
    case "xl":
      return "cstu-space-x-5";
    default:
      return "cstu-space-x-3";
  }
}, re = (s) => {
  const t = [];
  return s.disabled && t.push("cstu-opacity-50 cstu-cursor-not-allowed cstu-pointer-events-none"), s.loading && t.push("cstu-cursor-wait"), s.active && t.push("cstu-ring-2 cstu-ring-offset-2"), s.error && t.push("cstu-border-red-300 focus:cstu-ring-red-500/20 focus:cstu-border-red-500"), s.success && t.push("cstu-border-green-300 focus:cstu-ring-green-500/20 focus:cstu-border-green-500"), t.join(" ");
}, Yt = (s) => s ? "cstu-opacity-50 cstu-cursor-not-allowed cstu-pointer-events-none" : "", Kt = (s) => {
  const t = [];
  return s.valid && t.push("cstu-border-green-300 focus:cstu-ring-green-500/20 focus:cstu-border-green-500"), s.invalid && t.push("cstu-border-red-300 focus:cstu-ring-red-500/20 focus:cstu-border-red-500"), s.pending && t.push("cstu-border-yellow-300 focus:cstu-ring-yellow-500/20 focus:cstu-border-yellow-500"), t.join(" ");
}, Xt = (s, t = "primary") => {
  const e = [];
  return s.hover && e.push(`hover:cstu-bg-${t}-50`), s.active && e.push(`active:cstu-bg-${t}-100`), s.focus && e.push(`focus:cstu-outline-none focus:cstu-ring-2 focus:cstu-ring-${t}-500/20 focus:cstu-border-${t}-500`), e.join(" ");
}, Ut = ["disabled", "type"], Gt = { key: 0 }, Rn = /* @__PURE__ */ A({
  __name: "Button",
  props: {
    variant: { default: "filled" },
    color: { default: "primary" },
    size: { default: "md" },
    radius: { default: "md" },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 },
    type: { default: "button" },
    leftSection: {},
    rightSection: {},
    leftSectionProps: {},
    rightSectionProps: {},
    gradient: {}
  },
  emits: {
    click: (s) => !0
  },
  setup(s, { emit: t }) {
    const e = s, o = t, n = (i) => {
      !e.disabled && !e.loading && o("click", i);
    }, a = (i) => ({
      none: "cstu-rounded-none",
      xs: "cstu-rounded",
      sm: "cstu-rounded-md",
      md: "cstu-rounded-lg",
      lg: "cstu-rounded-xl",
      xl: "cstu-rounded-2xl",
      full: "cstu-rounded-full"
    })[i] || "cstu-rounded-lg", r = (i) => {
      if (!i)
        return "bg-gradient-to-r";
      const u = (i % 360 + 360) % 360;
      return u >= 337.5 || u < 22.5 ? "cstu-bg-gradient-to-r" : u >= 22.5 && u < 67.5 ? "cstu-bg-gradient-to-tr" : u >= 67.5 && u < 112.5 ? "cstu-bg-gradient-to-t" : u >= 112.5 && u < 157.5 ? "cstu-bg-gradient-to-tl" : u >= 157.5 && u < 202.5 ? "cstu-bg-gradient-to-l" : u >= 202.5 && u < 247.5 ? "cstu-bg-gradient-to-bl" : u >= 247.5 && u < 292.5 ? "cstu-bg-gradient-to-b" : "cstu-bg-gradient-to-br";
    }, l = x(() => {
      const i = "cstu-inline-flex cstu-items-center cstu-justify-center cstu-font-medium cstu-transition-all cstu-duration-200";
      if (e.variant === "gradient" && e.gradient) {
        const d = `${r(e.gradient.deg)} cstu-from-${e.gradient.from}-500 cstu-to-${e.gradient.to || e.gradient.from}-600 hover:cstu-from-${e.gradient.from}-600 hover:cstu-to-${e.gradient.to || e.gradient.from}-700 cstu-text-white`;
        return [
          i,
          d,
          I(e.size, "button"),
          a(e.radius),
          re({
            disabled: e.disabled,
            loading: e.loading
          }),
          {
            "cstu-w-full": e.fullWidth,
            "cstu-cursor-pointer": !e.disabled && !e.loading
          }
        ];
      }
      const u = ne(e.color, e.variant, {
        hover: !0,
        active: !0,
        focus: !0
      }), c = I(e.size, "button"), p = e.leftSection || e.rightSection ? mt(e.size, "button") : "", g = re({
        disabled: e.disabled,
        loading: e.loading
      }), y = Ve(e.size, "button"), b = a(e.radius);
      return [
        i,
        u,
        c,
        y,
        p,
        g,
        b,
        {
          "cstu-w-full": e.fullWidth,
          "cstu-cursor-pointer": !e.disabled && !e.loading
        }
      ];
    });
    return (i, u) => (f(), v("button", {
      class: C(l.value),
      disabled: i.disabled || i.loading,
      type: i.type,
      onClick: n
    }, [
      O(i.$slots, "leftSection"),
      O(i.$slots, "default"),
      i.loading ? (f(), v("span", Gt, [
        O(i.$slots, "loader", {}, () => [
          u[0] || (u[0] = $("svg", {
            class: "animate-spin h-4 w-4",
            xmlns: "http://www.w3.org/2000/svg",
            fill: "none",
            viewBox: "0 0 24 24"
          }, [
            $("circle", {
              class: "opacity-25",
              cx: "12",
              cy: "12",
              r: "10",
              stroke: "currentColor",
              "stroke-width": "4"
            }),
            $("path", {
              class: "opacity-75",
              fill: "currentColor",
              d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
            })
          ], -1))
        ])
      ])) : S("", !0),
      O(i.$slots, "rightSection")
    ], 10, Ut));
  }
}), yt = (s) => {
  const t = ["cstu-relative"];
  s.fullWidth && t.push("cstu-w-full");
  const e = re({
    disabled: s.disabled,
    error: s.error,
    required: s.required || s.withAsterisk
  });
  return e && t.push(e), t.join(" ");
}, Ze = (s) => {
  const t = [
    "cstu-block",
    "cstu-font-medium",
    "cstu-mb-1"
  ];
  switch (s.size) {
    case "xs":
      t.push("cstu-text-xs");
      break;
    case "sm":
      t.push("cstu-text-sm");
      break;
    case "md":
      t.push("cstu-text-base");
      break;
    case "lg":
      t.push("cstu-text-lg");
      break;
    case "xl":
      t.push("cstu-text-xl");
      break;
    default:
      t.push("cstu-text-sm");
  }
  return s.error ? t.push("cstu-text-red-500") : s.disabled ? t.push("cstu-text-gray-400") : t.push("cstu-text-gray-700"), (s.required || s.withAsterisk) && t.push('after:cstu-content-["*"] after:cstu-ml-0.5 after:cstu-text-red-500'), t.join(" ");
}, bt = (s) => {
  const t = [
    "cstu-mt-1",
    "cstu-text-sm"
  ];
  return s.error ? t.push("cstu-text-red-500") : s.disabled ? t.push("cstu-text-gray-400") : t.push("cstu-text-gray-500"), t.join(" ");
}, Zt = ["aria-disabled", "onKeydown"], Qt = {
  key: 2,
  class: "cstu-text-sm cstu-text-red-500 cstu-mt-0.5"
}, Jt = {
  name: "Checkbox"
}, An = /* @__PURE__ */ A({
  ...Jt,
  props: {
    modelValue: { type: [Boolean, Array], default: !1 },
    checked: { type: Boolean, default: !1 },
    value: {},
    id: {},
    label: {},
    color: { default: "primary" },
    size: { default: "md" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = x(() => e.modelValue || e.checked), a = () => {
      if (e.disabled)
        return;
      const b = !n.value;
      o("update:modelValue", b), o("change", b);
    }, r = () => {
      a();
    }, l = x(() => Ze({
      size: e.size,
      disabled: e.disabled,
      error: e.error
    })), i = x(() => bt({
      color: e.color
    })), u = x(() => [
      "cstu-flex",
      "cstu-flex-col",
      e.labelPosition === "left" ? "cstu-order-first" : ""
    ]), c = {
      primary: "blue-450",
      secondary: "gray-500",
      success: "green-500",
      warning: "yellow-500",
      danger: "red-500",
      info: "blue-500",
      dark: "gray-900",
      light: "gray-300"
    }, p = x(() => [
      "cstu-inline-flex",
      "cstu-items-center",
      "cstu-justify-center",
      "cstu-cursor-pointer",
      "cstu-transition-colors",
      "cstu-duration-200",
      "cstu-ease-in-out",
      e.size === "xs" ? "cstu-h-[12px] cstu-w-[12px] cstu-rounded" : "",
      e.size === "sm" ? "cstu-h-[14px] cstu-w-[14px] cstu-rounded" : "",
      e.size === "md" ? "cstu-h-[16px] cstu-w-[16px] cstu-rounded-md" : "",
      e.size === "lg" ? "cstu-h-[18px] cstu-w-[18px] cstu-rounded-md" : "",
      e.size === "xl" ? "cstu-h-[20px] cstu-w-[20px] cstu-rounded-md" : "",
      e.disabled ? "cstu-bg-gray-200 cstu-border cstu-border-gray-200 cstu-cursor-not-allowed" : n.value || e.indeterminate ? e.variant === "outlined" ? `cstu-bg-transparent cstu-border cstu-border-${c[e.color]}` : `cstu-bg-${c[e.color]} cstu-border-${c[e.color]}` : "cstu-bg-white cstu-border cstu-border-gray-400/50"
    ]), g = x(() => [
      e.variant === "outlined" && (n.value || e.indeterminate) ? `cstu-text-${c[e.color]}` : e.disabled ? "cstu-text-gray-300" : "cstu-text-white",
      e.size === "xs" ? "cstu-h-[6px] cstu-w-[6px]" : "",
      e.size === "sm" ? "cstu-h-[7px] cstu-w-[7px]" : "",
      e.size === "md" ? "cstu-h-[8px] cstu-w-[8px]" : "",
      e.size === "lg" ? "cstu-h-[9px] cstu-w-[9px]" : "",
      e.size === "xl" ? "cstu-h-[10px] cstu-w-[10px]" : ""
    ]), y = x(() => yt({
      disabled: e.disabled,
      error: e.error
    }));
    return (b, m) => (f(), v("div", {
      class: C([y.value, "cstu-flex cstu-items-center cstu-gap-2"])
    }, [
      $("div", {
        class: C(p.value),
        onClick: r,
        role: "checkbox",
        "aria-disabled": b.disabled,
        tabindex: "0",
        onKeydown: Et(dt(r, ["prevent"]), ["space"])
      }, [
        n.value && !b.indeterminate ? (f(), v("svg", {
          key: 0,
          class: C(g.value),
          xmlns: "http://www.w3.org/2000/svg",
          width: "8",
          height: "6",
          viewBox: "0 0 8 6",
          fill: "none"
        }, m[0] || (m[0] = [
          $("path", {
            d: "M6.75 0.75L2.625 5.25L0.75 3.20455",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round"
          }, null, -1)
        ]), 2)) : S("", !0),
        b.indeterminate ? (f(), v("svg", {
          key: 1,
          class: C(g.value),
          xmlns: "http://www.w3.org/2000/svg",
          viewBox: "0 0 8 7",
          fill: "none"
        }, m[1] || (m[1] = [
          $("path", {
            d: "M6.80245 3.90741L0.697913 3.8936",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round"
          }, null, -1)
        ]), 2)) : S("", !0)
      ], 42, Zt),
      b.label || b.description ? (f(), v("div", {
        key: 0,
        class: C(u.value)
      }, [
        b.label ? (f(), v("label", {
          key: 0,
          class: C([l.value, "cstu-pt-0.5"]),
          onClick: r
        }, D(b.label), 3)) : S("", !0),
        b.description ? (f(), v("div", {
          key: 1,
          class: C(i.value)
        }, D(b.description), 3)) : S("", !0),
        b.error ? (f(), v("div", Qt, D(b.error), 1)) : S("", !0)
      ], 2)) : S("", !0)
    ], 2));
  }
}), es = ["aria-checked", "aria-disabled"], ts = ["id", "checked", "disabled", "value"], ss = ["for"], _n = /* @__PURE__ */ A({
  __name: "Radio",
  props: {
    modelValue: { default: void 0 },
    value: { default: void 0 },
    id: { default: () => `radio-${Math.random().toString(36).substr(2, 9)}` },
    label: {},
    color: { default: "primary" },
    size: { default: "md" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = {
      primary: "blue-450",
      secondary: "gray-500",
      success: "green-500",
      warning: "yellow-500",
      danger: "red-500",
      info: "blue-500",
      dark: "gray-900",
      light: "gray-300"
    }, n = {
      primary: "blue-300",
      secondary: "gray-300",
      success: "green-300",
      warning: "yellow-300",
      danger: "red-300",
      info: "blue-300",
      dark: "gray-300",
      light: "gray-300"
    }, a = t, r = x(() => e.modelValue === e.value), l = () => {
      e.disabled || (a("update:modelValue", e.value), a("change", e.value));
    }, i = x(() => [
      yt({
        disabled: e.disabled,
        error: e.error
      }),
      "cstu-flex cstu-items-center cstu-gap-2",
      e.labelPosition === "left" ? "cstu-flex-row-reverse" : "cstu-flex-row"
    ]), u = x(() => [
      "cstu-relative cstu-flex cstu-items-center cstu-justify-center cstu-rounded-full cstu-transition-colors cstu-duration-200",
      m.value,
      r.value ? e.variant === "outlined" ? `cstu-bg-white !cstu-border-2 cstu-border-${n[e.color]}` : `cstu-bg-${o[e.color]} cstu-border cstu-border-${o[e.color]}` : e.variant === "outlined" ? `cstu-bg-white !cstu-border-2 cstu-border-${n[e.color]}` : "cstu-bg-white cstu-border cstu-border-gray-300 hover:cstu-border-gray-400",
      e.disabled ? "cstu-opacity-50 cstu-cursor-not-allowed !cstu-bg-gray-200 !cstu-border-gray-300" : "cstu-cursor-pointer"
    ]), c = x(() => [
      "cstu-rounded-full",
      w.value,
      e.variant === "outlined" ? `cstu-bg-${o[e.color]}` : "cstu-bg-white",
      e.disabled ? `cstu-opacity-50 ${e.variant === "outlined" ? "!cstu-bg-gray-300" : "!cstu-bg-gray-200"}` : ""
    ]), p = x(() => Ze({
      size: e.size,
      disabled: e.disabled,
      error: e.error
    })), g = x(() => bt({
      color: e.color
    })), y = x(() => [
      "cstu-text-sm cstu-text-red-500 cstu-mt-1"
    ]), b = x(() => [
      "cstu-flex cstu-flex-col",
      e.disabled ? "cstu-cursor-not-allowed" : "cstu-cursor-pointer"
    ]), m = x(() => ({
      xs: "cstu-w-[8px] cstu-h-[8px]",
      sm: "cstu-w-[12px] cstu-h-[12px]",
      md: "cstu-w-[16px] cstu-h-[16px]",
      lg: "cstu-w-[20px] cstu-h-[20px]",
      xl: "cstu-w-[24px] cstu-h-[24px]"
    })[e.size]), w = x(() => ({
      xs: "cstu-w-[4px] cstu-h-[4px]",
      sm: "cstu-w-[6px] cstu-h-[6px]",
      md: "cstu-w-[8px] cstu-h-[8px]",
      lg: "cstu-w-[10px] cstu-h-[10px]",
      xl: "cstu-w-[12px] cstu-h-[12px]"
    })[e.size]);
    return (d, h) => (f(), v("div", {
      class: C(i.value),
      onClick: l,
      "aria-checked": r.value,
      "aria-disabled": d.disabled,
      role: "radio"
    }, [
      $("input", {
        ref: "radio",
        type: "radio",
        id: d.id,
        checked: r.value,
        disabled: d.disabled,
        value: d.value,
        onChange: l,
        class: "cstu-sr-only cstu-border-2"
      }, null, 40, ts),
      $("div", {
        class: C(u.value)
      }, [
        r.value ? (f(), v("div", {
          key: 0,
          class: C([c.value, "cstu-absolute cstu-left-1/2 cstu-top-1/2 cstu--translate-x-1/2 cstu--translate-y-1/2 cstu-transition-transform cstu-duration-200 cstu-ease-in-out"])
        }, null, 2)) : S("", !0)
      ], 2),
      $("div", {
        class: C(b.value)
      }, [
        d.label ? (f(), v("label", {
          key: 0,
          for: d.id,
          class: C(p.value)
        }, [
          O(d.$slots, "label", {}, () => [
            se(D(d.label), 1)
          ])
        ], 10, ss)) : S("", !0),
        d.description ? (f(), v("div", {
          key: 1,
          class: C(g.value)
        }, [
          O(d.$slots, "description", {}, () => [
            se(D(d.description), 1)
          ])
        ], 2)) : S("", !0),
        d.error ? (f(), v("div", {
          key: 2,
          class: C(y.value)
        }, [
          O(d.$slots, "error", {}, () => [
            se(D(d.error), 1)
          ])
        ], 2)) : S("", !0)
      ], 2)
    ], 10, es));
  }
}), ns = ["for"], os = {
  key: 0,
  class: "text-red-500",
  "aria-hidden": "true"
}, as = { class: "relative" }, ls = ["id", "type", "value", "placeholder", "disabled", "required"], Dn = /* @__PURE__ */ A({
  __name: "TextInput",
  props: {
    id: {},
    type: { default: "text" },
    modelValue: {},
    placeholder: {},
    disabled: { type: Boolean, default: !1 },
    label: {},
    labelProps: {},
    description: {},
    descriptionProps: {},
    error: {},
    errorProps: {},
    wrapperProps: {},
    inputProps: {},
    size: { default: "md" },
    radius: { default: "md" },
    rightSection: {},
    rightSectionProps: {},
    leftSection: {},
    leftSectionProps: {},
    withAsterisk: { type: Boolean, default: !1 },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(s) {
    const t = s, e = (n) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[n] || "rounded-lg", o = x(() => {
      const n = [
        "block w-full bg-white transition-all duration-200",
        "border border-gray-200",
        "text-gray-900",
        "focus:outline-none focus:ring-2 focus:ring-offset-0 focus:border-transparent",
        "placeholder:text-gray-400",
        "shadow-sm"
      ], a = I(t.size, "input"), r = I(t.size, "input"), l = re({
        disabled: t.disabled,
        error: t.withError || !!t.error
      }), i = e(t.radius), u = {
        left: t.leftSection ? "pl-10" : "",
        right: t.rightSection ? "pr-10" : ""
      }, c = t.disabled ? "" : [
        t.withError || t.error ? "focus:ring-red-500/20 focus:border-red-500" : "focus:ring-blue-500/20 focus:border-blue-500",
        "hover:border-gray-300"
      ];
      return [
        ...n,
        a,
        r,
        l,
        i,
        u.left,
        u.right,
        c
      ].filter(Boolean).join(" ");
    });
    return (n, a) => (f(), v("div", te({
      class: [
        "relative flex flex-col",
        { "opacity-50 pointer-events-none": n.disabled }
      ]
    }, n.wrapperProps), [
      n.label ? (f(), v("label", te({
        key: 0,
        for: n.id,
        class: "mb-1 text-sm font-medium text-gray-700 flex items-center gap-1"
      }, n.labelProps), [
        se(D(n.label) + " ", 1),
        n.required || n.withAsterisk ? (f(), v("span", os, "*")) : S("", !0)
      ], 16, ns)) : S("", !0),
      $("div", as, [
        n.leftSection ? (f(), v("div", te({
          key: 0,
          class: "absolute inset-y-0 left-0 flex items-center pl-3"
        }, n.leftSectionProps), [
          (f(), q(he(n.leftSection)))
        ], 16)) : S("", !0),
        $("input", te({
          id: n.id,
          type: n.type,
          value: n.modelValue,
          placeholder: n.placeholder,
          disabled: n.disabled,
          required: n.required,
          class: o.value,
          onInput: a[0] || (a[0] = (r) => n.$emit("update:modelValue", r.target.value))
        }, n.inputProps), null, 16, ls),
        n.rightSection ? (f(), v("div", te({
          key: 1,
          class: "absolute inset-y-0 right-0 flex items-center pr-3"
        }, n.rightSectionProps), [
          (f(), q(he(n.rightSection)))
        ], 16)) : S("", !0)
      ]),
      n.description ? (f(), v("p", te({
        key: 1,
        class: "mt-1 text-sm text-gray-500"
      }, n.descriptionProps), D(n.description), 17)) : S("", !0),
      n.error ? (f(), v("p", te({
        key: 2,
        class: "mt-1 text-sm text-red-500"
      }, n.errorProps), D(n.error), 17)) : S("", !0)
    ], 16));
  }
}), rs = ["aria-expanded", "aria-disabled"], is = ["placeholder", "disabled"], us = {
  key: 1,
  class: "w-full truncate text-gray-900"
}, cs = { class: "flex items-center gap-2 shrink-0" }, ds = {
  key: 0,
  class: "py-3 text-center text-gray-500"
}, ps = ["onClick"], fs = {
  key: 0,
  class: "py-3 px-4 text-gray-500 text-center text-sm"
}, Vn = /* @__PURE__ */ A({
  __name: "Select",
  props: {
    modelValue: { default: null },
    options: { default: () => [] },
    placeholder: { default: "Select option" },
    disabled: { type: Boolean, default: !1 },
    searchable: { type: Boolean, default: !1 },
    clearable: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    error: { type: Boolean, default: !1 },
    size: { default: "md" },
    radius: { default: "sm" },
    variant: { default: "outline" },
    color: { default: "primary" },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "right" },
    nothingFoundMessage: { default: "Nothing found..." }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = R(!1), a = R(""), r = R(null), l = R(null), i = (h) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[h] || "rounded-lg", u = x(() => {
      const h = "w-full flex items-center justify-between transition-colors duration-200", z = [
        I(e.size, "input"),
        Ve(e.size, "input")
      ].join(" "), k = i(e.radius), B = e.error ? "focus-within:ring-2 focus-within:ring-red-500/20 focus-within:border-red-500" : "focus-within:ring-2 focus-within:ring-blue-500/20 focus-within:border-blue-500", V = e.variant === "filled" ? `bg-gray-50 border border-transparent ${!e.disabled && `hover:bg-gray-100 focus-within:bg-white focus-within:border-gray-300 ${B}`}` : `bg-white border border-gray-300 ${!e.disabled && `hover:border-gray-400 ${B}`}`, L = re({
        disabled: e.disabled,
        error: e.error
      }), P = !e.disabled && "cursor-pointer";
      return [
        h,
        z,
        k,
        V,
        L,
        P
      ].filter(Boolean).join(" ");
    }), c = x(() => e.options.find((h) => h.value === e.modelValue)), p = x(() => {
      if (!a.value)
        return e.options;
      const h = a.value.toLowerCase();
      return e.options.filter(
        (z) => z.label.toLowerCase().includes(h)
      );
    }), g = () => {
      var h;
      e.disabled || (e.searchable ? ((h = r.value) == null || h.focus(), n.value = !0) : n.value = !n.value);
    }, y = (h) => {
      o("update:modelValue", h.value), o("change", h), n.value = !1, e.searchable && (a.value = h.label);
    }, b = () => {
      o("update:modelValue", null), o("change", null), a.value = "";
    }, m = () => {
      n.value || (n.value = !0);
    }, w = () => {
      n.value || (n.value = !0);
    }, d = (h) => {
      const z = h.target;
      l.value && !l.value.contains(z) && (n.value = !1);
    };
    return U(() => e.modelValue, (h) => {
      h ? c.value && e.searchable && (a.value = c.value.label) : a.value = "";
    }), qe(() => {
      document.addEventListener("click", d);
    }), pt(() => {
      document.removeEventListener("click", d);
    }), (h, z) => (f(), v("div", {
      class: "relative select",
      ref_key: "selectRoot",
      ref: l
    }, [
      $("div", {
        class: C(u.value),
        role: "combobox",
        "aria-expanded": n.value,
        "aria-disabled": h.disabled,
        onClick: g
      }, [
        h.searchable ? me((f(), v("input", {
          key: 0,
          ref_key: "searchInput",
          ref: r,
          "onUpdate:modelValue": z[0] || (z[0] = (k) => a.value = k),
          placeholder: h.placeholder,
          type: "text",
          class: "w-full bg-transparent outline-none placeholder:text-gray-500",
          disabled: h.disabled,
          onFocus: m,
          onInput: w
        }, null, 40, is)), [
          [Tt, a.value]
        ]) : (f(), v("div", us, D(c.value ? c.value.label : h.placeholder), 1)),
        $("div", cs, [
          h.clearable && h.modelValue && !h.disabled ? (f(), v("button", {
            key: 0,
            type: "button",
            class: "p-1 hover:bg-gray-100 rounded-full text-gray-500 hover:text-gray-700",
            onClick: dt(b, ["stop"])
          }, z[1] || (z[1] = [
            $("svg", {
              class: "w-4 h-4",
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, [
              $("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M6 18L18 6M6 6l12 12"
              })
            ], -1)
          ]))) : S("", !0),
          (f(), v("svg", {
            class: C(["w-4 h-4 text-gray-500 transition-transform duration-200", { "rotate-180": n.value }]),
            fill: "none",
            stroke: "currentColor",
            viewBox: "0 0 24 24"
          }, z[2] || (z[2] = [
            $("path", {
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "2",
              d: "M19 9l-7 7-7-7"
            }, null, -1)
          ]), 2))
        ])
      ], 10, rs),
      me($("div", {
        class: C([
          "absolute w-full z-50 mt-1 bg-white",
          "border border-gray-200",
          i(e.radius),
          "shadow-lg max-h-[240px] overflow-auto",
          "divide-y divide-gray-100"
        ])
      }, [
        h.loading ? (f(), v("div", ds, [
          O(h.$slots, "loader", {}, () => [
            z[3] || (z[3] = $("svg", {
              class: "animate-spin h-5 w-5 mx-auto",
              xmlns: "http://www.w3.org/2000/svg",
              fill: "none",
              viewBox: "0 0 24 24"
            }, [
              $("circle", {
                class: "opacity-25",
                cx: "12",
                cy: "12",
                r: "10",
                stroke: "currentColor",
                "stroke-width": "4"
              }),
              $("path", {
                class: "opacity-75",
                fill: "currentColor",
                d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
              })
            ], -1))
          ])
        ])) : (f(), v(ae, { key: 1 }, [
          (f(!0), v(ae, null, _e(p.value, (k) => (f(), v("div", {
            key: k.value,
            class: C([
              "py-2.5 px-4 flex items-center transition-colors duration-200",
              "text-[14px] leading-5",
              "text-gray-900",
              k.value === h.modelValue ? "bg-gray-50 font-medium" : "hover:bg-gray-50",
              k.disabled ? "opacity-50 cursor-not-allowed" : "cursor-pointer"
            ]),
            onClick: (B) => !k.disabled && y(k)
          }, [
            h.withCheckIcon && k.value === h.modelValue ? (f(), v("svg", {
              key: 0,
              class: C([
                "w-4 h-4 text-blue-600 shrink-0",
                h.checkIconPosition === "left" ? "mr-2" : "ml-2 order-last"
              ]),
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, z[4] || (z[4] = [
              $("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M5 13l4 4L19 7"
              }, null, -1)
            ]), 2)) : S("", !0),
            $("span", {
              class: C({ "text-gray-500": k.disabled })
            }, D(k.label), 3)
          ], 10, ps))), 128)),
          p.value.length === 0 ? (f(), v("div", fs, D(h.nothingFoundMessage || "No options found"), 1)) : S("", !0)
        ], 64))
      ], 2), [
        [De, n.value]
      ])
    ], 512));
  }
}), gs = ["disabled"], hs = {
  key: 0,
  class: "w-3.5 h-3.5",
  viewBox: "0 0 20 20",
  fill: "currentColor"
}, ms = {
  key: 1,
  class: "animate-spin"
}, Pn = /* @__PURE__ */ A({
  __name: "Chip",
  props: {
    modelValue: { type: Boolean, default: !1 },
    label: { default: "" },
    size: { default: "md" },
    variant: { default: "filled" },
    color: { default: "primary" },
    radius: { default: "xl" },
    checked: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    withRemoveButton: { type: Boolean, default: !1 },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "left" },
    allowDeselect: { type: Boolean, default: !0 },
    loading: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = x(() => ne(e.color)), a = x(() => I(e.size, "chip")), r = x(() => re({
      disabled: e.disabled,
      loading: e.loading
    })), l = x(() => ne(e.color, "filled")), i = x(() => ne(e.color, "outline")), u = () => {
      e.disabled || e.loading || e.modelValue && !e.allowDeselect || o("update:modelValue", !e.modelValue);
    };
    return (c, p) => (f(), v("button", {
      class: C([
        "inline-flex items-center justify-center gap-2 rounded-full transition-colors duration-200 select-none",
        "focus:outline-none",
        n.value,
        a.value,
        r.value,
        c.modelValue ? l.value : i.value,
        "cursor-pointer"
      ]),
      disabled: c.disabled || c.loading,
      onClick: u
    }, [
      c.withCheckIcon && c.modelValue ? (f(), v("svg", hs, p[0] || (p[0] = [
        $("path", {
          "fill-rule": "evenodd",
          d: "M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z",
          "clip-rule": "evenodd"
        }, null, -1)
      ]))) : S("", !0),
      c.loading ? (f(), v("span", ms, p[1] || (p[1] = [
        $("svg", {
          class: "w-3.5 h-3.5",
          xmlns: "http://www.w3.org/2000/svg",
          fill: "none",
          viewBox: "0 0 24 24"
        }, [
          $("circle", {
            class: "opacity-25",
            cx: "12",
            cy: "12",
            r: "10",
            stroke: "currentColor",
            "stroke-width": "4"
          }),
          $("path", {
            class: "opacity-75",
            fill: "currentColor",
            d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
          })
        ], -1)
      ]))) : S("", !0),
      $("span", {
        class: C([
          "whitespace-nowrap",
          c.loading ? "opacity-75" : ""
        ])
      }, D(c.label), 3)
    ], 10, gs));
  }
}), xs = (s, t = 0) => {
  const e = {
    position: "absolute",
    transform: "translate(50%, -50%)"
  }, [o, n] = s.split("-");
  if (o === "top" ? e.top = "0" : o === "bottom" ? (e.bottom = "0", e.transform = "translate(50%, 50%)") : o === "middle" && (e.top = "50%", n === "start" ? e.transform = "translate(-50%, -50%)" : n === "end" ? e.transform = "translate(50%, -50%)" : e.transform = "translate(0, -50%)"), n === "start" ? (e.left = "0", e.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)") : n === "end" ? e.right = "0" : n === "center" && (e.left = "50%", e.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)"), t) {
    const a = e.transform.includes("50%") ? "50%" : "0", r = e.transform.includes("-50%") ? "-50%" : "50%";
    (o === "top" || o === "bottom") && (e.transform = `translate(${a}, ${r}) translateY(${t}px)`), (n === "start" || n === "end") && (e.transform = `translate(${a}, ${r}) translateX(${n === "start" ? -t : t}px)`);
  }
  return e;
}, ys = {
  name: "Indicator"
}, bs = /* @__PURE__ */ A({
  ...ys,
  props: {
    position: { default: "top-end" },
    size: { default: "md" },
    radius: { default: "xl" },
    color: { default: "primary" },
    variant: { default: "filled" },
    offset: { default: 0 },
    inline: { type: Boolean, default: !1 },
    label: { default: "" },
    withBorder: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    processing: { type: Boolean, default: !1 },
    zIndex: { default: 200 }
  },
  setup(s) {
    const t = s, e = x(() => [
      t.inline ? "inline-block" : "block",
      "relative"
    ]), o = x(() => ({
      ...t.inline && { display: "inline-block" }
    })), n = x(() => [
      // Base classes
      "flex items-center justify-center",
      "absolute",
      "select-none",
      "rounded-full",
      // Size classes
      Ve(t.size, "indicator"),
      I(t.size, "indicator"),
      // Color classes
      !t.disabled && `bg-${t.color === "primary" ? "blue" : t.color}-600 text-white`,
      t.disabled && "bg-gray-200 text-gray-500",
      // Border classes
      t.withBorder && "border-2 border-white dark:border-gray-900",
      // Processing animation
      t.processing && "animate-pulse"
    ]), a = x(() => ({
      ...xs(t.position, t.offset),
      zIndex: t.zIndex
    }));
    return (r, l) => (f(), v("div", {
      class: C(e.value),
      style: E(o.value)
    }, [
      r.disabled ? S("", !0) : (f(), v("div", {
        key: 0,
        class: C(n.value),
        style: E(a.value)
      }, D(r.label), 7)),
      O(r.$slots, "default", {}, void 0, !0)
    ], 6));
  }
});
const vs = (s, t) => {
  const e = s.__vccOpts || s;
  for (const [o, n] of t)
    e[o] = n;
  return e;
}, Mn = /* @__PURE__ */ vs(bs, [["__scopeId", "data-v-643e9acf"]]), ws = ["aria-valuenow"], En = /* @__PURE__ */ A({
  __name: "Progress",
  props: {
    value: { default: 0 },
    size: { default: "md" },
    color: {},
    label: {},
    striped: { type: Boolean, default: !1 },
    animated: { type: Boolean, default: !1 }
  },
  setup(s) {
    return (t, e) => (f(), v("div", {
      class: C([
        "relative w-full rounded-sm overflow-hidden",
        "bg-gray-100",
        _(Ve)(t.size, "progress")
      ]),
      role: "progressbar",
      "aria-valuenow": t.value,
      "aria-valuemin": "0",
      "aria-valuemax": "100"
    }, [
      $("div", {
        class: C([
          "h-full transition-all duration-300 ease-in-out",
          _(ne)(t.color || "primary", "filled"),
          {
            "bg-striped": t.striped && !t.animated,
            "bg-striped animate-progress": t.animated
          }
        ]),
        style: E({ width: `${t.value}%` })
      }, [
        t.label && (t.size === "lg" || t.size === "xl") ? (f(), v("span", {
          key: 0,
          class: C([
            "block px-2 py-1 text-white whitespace-nowrap font-medium leading-none",
            _(Ge)(t.size)
          ])
        }, D(t.label), 3)) : S("", !0)
      ], 6)
    ], 10, ws));
  }
});
const Cs = {
  key: 0,
  class: "flex-shrink-0"
}, ks = {
  key: 0,
  class: "flex items-center justify-between"
}, $s = {
  key: 1,
  class: "flex-shrink-0 ml-3"
}, zs = ["disabled"], Tn = /* @__PURE__ */ A({
  __name: "Alert",
  props: {
    title: {},
    message: {},
    icon: {},
    variant: { default: "default" },
    color: { default: "primary" },
    size: { default: "md" },
    closable: { type: Boolean, default: !1 },
    onClose: {},
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    valid: { type: Boolean, default: void 0 },
    invalid: { type: Boolean, default: void 0 }
  },
  emits: ["close"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = x(() => ne(e.color, e.variant, {
      hover: !1,
      active: !1,
      focus: !1,
      disabled: e.disabled
    })), a = x(() => qt(e.variant)), r = x(() => Ht(e.color, e.variant)), l = x(() => Nt(e.color, e.variant)), i = x(() => I(e.size, "alert")), u = x(() => mt(e.size, "alert")), c = x(() => Ge(e.size)), p = x(() => xt(e.size)), g = x(() => re({
      disabled: e.disabled,
      loading: e.loading
    })), y = x(() => Kt({
      valid: e.valid,
      invalid: e.invalid
    })), b = x(() => Xt({
      hover: !0,
      focus: !0
    }, e.color)), m = () => {
      o("close");
    };
    return (w, d) => (f(), v("div", {
      class: C([
        "relative rounded-md",
        a.value,
        n.value,
        i.value,
        g.value,
        y.value
      ]),
      role: "alert"
    }, [
      $("div", {
        class: C(["flex items-start", [p.value]])
      }, [
        w.icon ? (f(), v("div", Cs, [
          (f(), q(he(w.icon), {
            class: C([
              u.value,
              r.value
            ])
          }, null, 8, ["class"]))
        ])) : S("", !0),
        $("div", {
          class: C(["flex-grow", [w.icon && "ml-3"]])
        }, [
          w.title ? (f(), v("div", ks, [
            $("h3", {
              class: C([
                "font-medium",
                l.value
              ])
            }, D(w.title), 3)
          ])) : S("", !0),
          w.message ? (f(), v("div", {
            key: 1,
            class: C([
              "mt-1",
              w.variant === "filled" ? "text-white/90" : "text-gray-600",
              c.value
            ])
          }, D(w.message), 3)) : S("", !0),
          O(w.$slots, "default")
        ], 2),
        w.closable ? (f(), v("div", $s, [
          $("button", {
            type: "button",
            class: C(["inline-flex rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2", [
              w.variant === "filled" ? "text-white/80 hover:text-white focus:ring-white" : "text-gray-400 hover:text-gray-500 focus:ring-blue-500",
              b.value
            ]]),
            disabled: w.disabled,
            onClick: m
          }, d[0] || (d[0] = [
            $("span", { class: "sr-only" }, "Close", -1),
            $("svg", {
              class: "h-5 w-5",
              viewBox: "0 0 20 20",
              fill: "currentColor",
              "aria-hidden": "true"
            }, [
              $("path", { d: "M6.28 5.22a.75.75 0 00-1.06 1.06L8.94 10l-3.72 3.72a.75.75 0 101.06 1.06L10 11.06l3.72 3.72a.75.75 0 101.06-1.06L11.06 10l3.72-3.72a.75.75 0 00-1.06-1.06L10 8.94 6.28 5.22z" })
            ], -1)
          ]), 10, zs)
        ])) : S("", !0)
      ], 2)
    ], 2));
  }
}), In = /* @__PURE__ */ A({
  __name: "Collapse",
  props: {
    open: { type: Boolean, default: !1 },
    duration: { default: 200 },
    class: {},
    size: { default: "md" },
    disableTransition: { type: Boolean, default: !1 }
  },
  setup(s) {
    const t = s, e = R(null), o = R(null), n = {
      xs: "p-1",
      sm: "p-2",
      md: "p-3",
      lg: "p-4",
      xl: "p-5"
    }, a = x(() => xt(t.size)), r = x(() => n[t.size]), l = x(
      () => t.disableTransition ? "" : `transition-[height] ease-in-out duration-${t.duration}`
    ), i = x(() => ({
      enter: t.duration,
      leave: t.duration
    })), u = (m) => {
      m.style.height = "0", m.style.overflow = "hidden";
    }, c = (m) => {
      const w = m.scrollHeight;
      m.style.height = "0", m.offsetHeight, m.style.height = `${w}px`;
    }, p = (m) => {
      m.style.height = "", m.style.overflow = "";
    }, g = (m) => {
      m.style.height = `${m.scrollHeight}px`, m.style.overflow = "hidden", m.offsetHeight;
    }, y = (m) => {
      m.style.height = "0";
    }, b = (m) => {
      m.style.height = "", m.style.overflow = "";
    };
    return (m, w) => (f(), q($e, {
      duration: i.value,
      onBeforeEnter: u,
      onEnter: c,
      onAfterEnter: p,
      onBeforeLeave: g,
      onLeave: y,
      onAfterLeave: b
    }, {
      default: le(() => [
        me($("div", {
          class: C([
            "overflow-hidden",
            a.value,
            l.value,
            t.class
          ]),
          ref_key: "contentRef",
          ref: e
        }, [
          $("div", {
            ref_key: "innerRef",
            ref: o,
            class: C(r.value)
          }, [
            O(m.$slots, "default")
          ], 2)
        ], 2), [
          [De, m.open]
        ])
      ]),
      _: 3
    }, 8, ["duration"]));
  }
}), Bs = { class: "inline-block" }, Ss = /* @__PURE__ */ A({
  __name: "OvalLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = x(() => {
      const n = parseInt(t[e.size]);
      return `${Math.max(2, n / 12)}px`;
    });
    return (n, a) => (f(), v("span", Bs, [
      $("span", {
        class: "inline-block rounded-full border-solid border-r-transparent border-current animate-[oval-spin_1.2s_linear_infinite]",
        style: E({
          width: t[e.size],
          height: t[e.size],
          borderWidth: o.value
        })
      }, null, 4)
    ]));
  }
});
const Ls = /* @__PURE__ */ A({
  __name: "DotsLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = x(() => `${parseInt(t[e.size]) / 3}px`), n = x(() => `${parseInt(t[e.size]) / 6}px`);
    return (a, r) => (f(), v("span", {
      class: "inline-flex items-center",
      style: E({
        gap: n.value,
        height: t[e.size]
      })
    }, [
      (f(), v(ae, null, _e(3, (l) => $("span", {
        key: l,
        class: "inline-block rounded-full animate-[dots-pulse_0.8s_infinite_linear] bg-current",
        style: E({
          width: o.value,
          height: o.value,
          animationDelay: `${(l - 1) * 0.16}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const Os = /* @__PURE__ */ A({
  __name: "BarsLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = x(() => `${parseInt(t[e.size]) / 6}px`);
    return (n, a) => (f(), v("span", {
      class: "inline-flex",
      style: E({
        gap: o.value,
        width: t[e.size],
        height: `${parseInt(t[e.size]) / 2}px`
      })
    }, [
      (f(), v(ae, null, _e(3, (r) => $("span", {
        key: r,
        class: "flex-1 rounded-[2px] animate-[bars-scale_1.2s_cubic-bezier(0,0.5,0.5,1)_infinite] bg-current",
        style: E({
          animationDelay: `${(r - 1) * -0.12}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const jn = /* @__PURE__ */ A({
  __name: "Loader",
  props: {
    variant: { default: "oval" },
    color: { default: "primary" },
    size: { default: "md" },
    class: {}
  },
  setup(s) {
    const t = s, e = (r) => /^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/.test(r), o = x(() => !t.color || e(t.color) ? "" : {
      primary: "text-blue-500",
      secondary: "text-gray-500",
      success: "text-green-500",
      warning: "text-yellow-500",
      danger: "text-red-500",
      info: "text-blue-500",
      dark: "text-gray-900",
      light: "text-white"
    }[t.color] || ""), n = x(() => !t.color || !e(t.color) ? {} : { color: t.color }), a = x(() => {
      switch (t.variant) {
        case "dots":
          return Ls;
        case "bars":
          return Os;
        default:
          return Ss;
      }
    });
    return (r, l) => (f(), q(he(a.value), {
      class: C([
        "inline-block",
        o.value,
        t.class
      ]),
      style: E(n.value),
      size: t.size
    }, null, 8, ["class", "style", "size"]));
  }
}), Rs = { class: "p-4" }, As = {
  key: 0,
  class: "absolute top-2 right-2"
}, _s = {
  key: 1,
  class: "text-lg font-medium mb-2"
}, Ds = { key: 2 }, Fn = /* @__PURE__ */ A({
  __name: "Dialog",
  props: {
    title: {},
    content: {},
    opened: { type: Boolean },
    size: { default: "md" },
    withCloseButton: { type: Boolean, default: !0 },
    onClose: {},
    position: { default: () => ({ bottom: "20px", right: "20px" }) },
    keepMounted: { type: Boolean, default: !1 },
    zIndex: { default: 1e3 }
  },
  setup(s) {
    const t = s, e = x(() => ({
      xs: "w-[280px]",
      sm: "w-[320px]",
      md: "w-[380px]",
      lg: "w-[440px]",
      xl: "w-[520px]"
    })[t.size]);
    return (o, n) => (f(), q(Ye, { to: "body" }, [
      xe($e, {
        "enter-active-class": "transition duration-200 ease-out",
        "enter-from-class": "opacity-0 scale-95",
        "enter-to-class": "opacity-100 scale-100",
        "leave-active-class": "transition duration-200 ease-in",
        "leave-from-class": "opacity-100 scale-100",
        "leave-to-class": "opacity-0 scale-95"
      }, {
        default: le(() => [
          o.opened || o.keepMounted ? (f(), v("div", {
            key: 0,
            style: E({
              position: "fixed",
              zIndex: o.zIndex || 1e3,
              ...o.position,
              display: o.opened ? "block" : "none"
            }),
            class: "min-w-[200px]"
          }, [
            $("div", {
              class: C(["rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700", [e.value]])
            }, [
              $("div", Rs, [
                o.withCloseButton ? (f(), v("div", As, [
                  $("button", {
                    onClick: n[0] || (n[0] = //@ts-ignore
                    (...a) => o.onClose && o.onClose(...a)),
                    class: "text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 focus:outline-none"
                  }, n[1] || (n[1] = [
                    $("span", { class: "sr-only" }, "Close", -1),
                    $("svg", {
                      class: "h-5 w-5",
                      xmlns: "http://www.w3.org/2000/svg",
                      viewBox: "0 0 20 20",
                      fill: "currentColor"
                    }, [
                      $("path", {
                        "fill-rule": "evenodd",
                        d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
                        "clip-rule": "evenodd"
                      })
                    ], -1)
                  ]))
                ])) : S("", !0),
                o.title ? (f(), v("div", _s, D(o.title), 1)) : S("", !0),
                o.content ? (f(), v("div", Ds, D(o.content), 1)) : S("", !0),
                O(o.$slots, "default")
              ])
            ], 2)
          ], 4)) : S("", !0)
        ]),
        _: 3
      })
    ]));
  }
}), ye = Math.min, oe = Math.max, Oe = Math.round, Le = Math.floor, N = (s) => ({
  x: s,
  y: s
}), Vs = {
  left: "right",
  right: "left",
  bottom: "top",
  top: "bottom"
}, Ps = {
  start: "end",
  end: "start"
};
function Fe(s, t, e) {
  return oe(s, ye(t, e));
}
function ze(s, t) {
  return typeof s == "function" ? s(t) : s;
}
function ie(s) {
  return s.split("-")[0];
}
function Be(s) {
  return s.split("-")[1];
}
function vt(s) {
  return s === "x" ? "y" : "x";
}
function Qe(s) {
  return s === "y" ? "height" : "width";
}
function be(s) {
  return ["top", "bottom"].includes(ie(s)) ? "y" : "x";
}
function Je(s) {
  return vt(be(s));
}
function Ms(s, t, e) {
  e === void 0 && (e = !1);
  const o = Be(s), n = Je(s), a = Qe(n);
  let r = n === "x" ? o === (e ? "end" : "start") ? "right" : "left" : o === "start" ? "bottom" : "top";
  return t.reference[a] > t.floating[a] && (r = Re(r)), [r, Re(r)];
}
function Es(s) {
  const t = Re(s);
  return [We(s), t, We(t)];
}
function We(s) {
  return s.replace(/start|end/g, (t) => Ps[t]);
}
function Ts(s, t, e) {
  const o = ["left", "right"], n = ["right", "left"], a = ["top", "bottom"], r = ["bottom", "top"];
  switch (s) {
    case "top":
    case "bottom":
      return e ? t ? n : o : t ? o : n;
    case "left":
    case "right":
      return t ? a : r;
    default:
      return [];
  }
}
function Is(s, t, e, o) {
  const n = Be(s);
  let a = Ts(ie(s), e === "start", o);
  return n && (a = a.map((r) => r + "-" + n), t && (a = a.concat(a.map(We)))), a;
}
function Re(s) {
  return s.replace(/left|right|bottom|top/g, (t) => Vs[t]);
}
function js(s) {
  return {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0,
    ...s
  };
}
function wt(s) {
  return typeof s != "number" ? js(s) : {
    top: s,
    right: s,
    bottom: s,
    left: s
  };
}
function Ae(s) {
  const {
    x: t,
    y: e,
    width: o,
    height: n
  } = s;
  return {
    width: o,
    height: n,
    top: e,
    left: t,
    right: t + o,
    bottom: e + n,
    x: t,
    y: e
  };
}
function at(s, t, e) {
  let {
    reference: o,
    floating: n
  } = s;
  const a = be(t), r = Je(t), l = Qe(r), i = ie(t), u = a === "y", c = o.x + o.width / 2 - n.width / 2, p = o.y + o.height / 2 - n.height / 2, g = o[l] / 2 - n[l] / 2;
  let y;
  switch (i) {
    case "top":
      y = {
        x: c,
        y: o.y - n.height
      };
      break;
    case "bottom":
      y = {
        x: c,
        y: o.y + o.height
      };
      break;
    case "right":
      y = {
        x: o.x + o.width,
        y: p
      };
      break;
    case "left":
      y = {
        x: o.x - n.width,
        y: p
      };
      break;
    default:
      y = {
        x: o.x,
        y: o.y
      };
  }
  switch (Be(t)) {
    case "start":
      y[r] -= g * (e && u ? -1 : 1);
      break;
    case "end":
      y[r] += g * (e && u ? -1 : 1);
      break;
  }
  return y;
}
const Fs = async (s, t, e) => {
  const {
    placement: o = "bottom",
    strategy: n = "absolute",
    middleware: a = [],
    platform: r
  } = e, l = a.filter(Boolean), i = await (r.isRTL == null ? void 0 : r.isRTL(t));
  let u = await r.getElementRects({
    reference: s,
    floating: t,
    strategy: n
  }), {
    x: c,
    y: p
  } = at(u, o, i), g = o, y = {}, b = 0;
  for (let m = 0; m < l.length; m++) {
    const {
      name: w,
      fn: d
    } = l[m], {
      x: h,
      y: z,
      data: k,
      reset: B
    } = await d({
      x: c,
      y: p,
      initialPlacement: o,
      placement: g,
      strategy: n,
      middlewareData: y,
      rects: u,
      platform: r,
      elements: {
        reference: s,
        floating: t
      }
    });
    c = h ?? c, p = z ?? p, y = {
      ...y,
      [w]: {
        ...y[w],
        ...k
      }
    }, B && b <= 50 && (b++, typeof B == "object" && (B.placement && (g = B.placement), B.rects && (u = B.rects === !0 ? await r.getElementRects({
      reference: s,
      floating: t,
      strategy: n
    }) : B.rects), {
      x: c,
      y: p
    } = at(u, g, i)), m = -1);
  }
  return {
    x: c,
    y: p,
    placement: g,
    strategy: n,
    middlewareData: y
  };
};
async function Ct(s, t) {
  var e;
  t === void 0 && (t = {});
  const {
    x: o,
    y: n,
    platform: a,
    rects: r,
    elements: l,
    strategy: i
  } = s, {
    boundary: u = "clippingAncestors",
    rootBoundary: c = "viewport",
    elementContext: p = "floating",
    altBoundary: g = !1,
    padding: y = 0
  } = ze(t, s), b = wt(y), w = l[g ? p === "floating" ? "reference" : "floating" : p], d = Ae(await a.getClippingRect({
    element: (e = await (a.isElement == null ? void 0 : a.isElement(w))) == null || e ? w : w.contextElement || await (a.getDocumentElement == null ? void 0 : a.getDocumentElement(l.floating)),
    boundary: u,
    rootBoundary: c,
    strategy: i
  })), h = p === "floating" ? {
    x: o,
    y: n,
    width: r.floating.width,
    height: r.floating.height
  } : r.reference, z = await (a.getOffsetParent == null ? void 0 : a.getOffsetParent(l.floating)), k = await (a.isElement == null ? void 0 : a.isElement(z)) ? await (a.getScale == null ? void 0 : a.getScale(z)) || {
    x: 1,
    y: 1
  } : {
    x: 1,
    y: 1
  }, B = Ae(a.convertOffsetParentRelativeRectToViewportRelativeRect ? await a.convertOffsetParentRelativeRectToViewportRelativeRect({
    elements: l,
    rect: h,
    offsetParent: z,
    strategy: i
  }) : h);
  return {
    top: (d.top - B.top + b.top) / k.y,
    bottom: (B.bottom - d.bottom + b.bottom) / k.y,
    left: (d.left - B.left + b.left) / k.x,
    right: (B.right - d.right + b.right) / k.x
  };
}
const Ws = (s) => ({
  name: "arrow",
  options: s,
  async fn(t) {
    const {
      x: e,
      y: o,
      placement: n,
      rects: a,
      platform: r,
      elements: l,
      middlewareData: i
    } = t, {
      element: u,
      padding: c = 0
    } = ze(s, t) || {};
    if (u == null)
      return {};
    const p = wt(c), g = {
      x: e,
      y: o
    }, y = Je(n), b = Qe(y), m = await r.getDimensions(u), w = y === "y", d = w ? "top" : "left", h = w ? "bottom" : "right", z = w ? "clientHeight" : "clientWidth", k = a.reference[b] + a.reference[y] - g[y] - a.floating[b], B = g[y] - a.reference[y], V = await (r.getOffsetParent == null ? void 0 : r.getOffsetParent(u));
    let L = V ? V[z] : 0;
    (!L || !await (r.isElement == null ? void 0 : r.isElement(V))) && (L = l.floating[z] || a.floating[b]);
    const P = k / 2 - B / 2, W = L / 2 - m[b] / 2 - 1, G = ye(p[d], W), we = ye(p[h], W), ee = G, Ce = L - m[b] - we, M = L / 2 - m[b] / 2 + P, de = Fe(ee, M, Ce), X = !i.arrow && Be(n) != null && M !== de && a.reference[b] / 2 - (M < ee ? G : we) - m[b] / 2 < 0, H = X ? M < ee ? M - ee : M - Ce : 0;
    return {
      [y]: g[y] + H,
      data: {
        [y]: de,
        centerOffset: M - de - H,
        ...X && {
          alignmentOffset: H
        }
      },
      reset: X
    };
  }
}), Hs = function(s) {
  return s === void 0 && (s = {}), {
    name: "flip",
    options: s,
    async fn(t) {
      var e, o;
      const {
        placement: n,
        middlewareData: a,
        rects: r,
        initialPlacement: l,
        platform: i,
        elements: u
      } = t, {
        mainAxis: c = !0,
        crossAxis: p = !0,
        fallbackPlacements: g,
        fallbackStrategy: y = "bestFit",
        fallbackAxisSideDirection: b = "none",
        flipAlignment: m = !0,
        ...w
      } = ze(s, t);
      if ((e = a.arrow) != null && e.alignmentOffset)
        return {};
      const d = ie(n), h = be(l), z = ie(l) === l, k = await (i.isRTL == null ? void 0 : i.isRTL(u.floating)), B = g || (z || !m ? [Re(l)] : Es(l)), V = b !== "none";
      !g && V && B.push(...Is(l, m, b, k));
      const L = [l, ...B], P = await Ct(t, w), W = [];
      let G = ((o = a.flip) == null ? void 0 : o.overflows) || [];
      if (c && W.push(P[d]), p) {
        const M = Ms(n, r, k);
        W.push(P[M[0]], P[M[1]]);
      }
      if (G = [...G, {
        placement: n,
        overflows: W
      }], !W.every((M) => M <= 0)) {
        var we, ee;
        const M = (((we = a.flip) == null ? void 0 : we.index) || 0) + 1, de = L[M];
        if (de)
          return {
            data: {
              index: M,
              overflows: G
            },
            reset: {
              placement: de
            }
          };
        let X = (ee = G.filter((H) => H.overflows[0] <= 0).sort((H, Z) => H.overflows[1] - Z.overflows[1])[0]) == null ? void 0 : ee.placement;
        if (!X)
          switch (y) {
            case "bestFit": {
              var Ce;
              const H = (Ce = G.filter((Z) => {
                if (V) {
                  const Q = be(Z.placement);
                  return Q === h || // Create a bias to the `y` side axis due to horizontal
                  // reading directions favoring greater width.
                  Q === "y";
                }
                return !0;
              }).map((Z) => [Z.placement, Z.overflows.filter((Q) => Q > 0).reduce((Q, Mt) => Q + Mt, 0)]).sort((Z, Q) => Z[1] - Q[1])[0]) == null ? void 0 : Ce[0];
              H && (X = H);
              break;
            }
            case "initialPlacement":
              X = l;
              break;
          }
        if (n !== X)
          return {
            reset: {
              placement: X
            }
          };
      }
      return {};
    }
  };
};
async function Ns(s, t) {
  const {
    placement: e,
    platform: o,
    elements: n
  } = s, a = await (o.isRTL == null ? void 0 : o.isRTL(n.floating)), r = ie(e), l = Be(e), i = be(e) === "y", u = ["left", "top"].includes(r) ? -1 : 1, c = a && i ? -1 : 1, p = ze(t, s);
  let {
    mainAxis: g,
    crossAxis: y,
    alignmentAxis: b
  } = typeof p == "number" ? {
    mainAxis: p,
    crossAxis: 0,
    alignmentAxis: null
  } : {
    mainAxis: p.mainAxis || 0,
    crossAxis: p.crossAxis || 0,
    alignmentAxis: p.alignmentAxis
  };
  return l && typeof b == "number" && (y = l === "end" ? b * -1 : b), i ? {
    x: y * c,
    y: g * u
  } : {
    x: g * u,
    y: y * c
  };
}
const qs = function(s) {
  return s === void 0 && (s = 0), {
    name: "offset",
    options: s,
    async fn(t) {
      var e, o;
      const {
        x: n,
        y: a,
        placement: r,
        middlewareData: l
      } = t, i = await Ns(t, s);
      return r === ((e = l.offset) == null ? void 0 : e.placement) && (o = l.arrow) != null && o.alignmentOffset ? {} : {
        x: n + i.x,
        y: a + i.y,
        data: {
          ...i,
          placement: r
        }
      };
    }
  };
}, Ys = function(s) {
  return s === void 0 && (s = {}), {
    name: "shift",
    options: s,
    async fn(t) {
      const {
        x: e,
        y: o,
        placement: n
      } = t, {
        mainAxis: a = !0,
        crossAxis: r = !1,
        limiter: l = {
          fn: (w) => {
            let {
              x: d,
              y: h
            } = w;
            return {
              x: d,
              y: h
            };
          }
        },
        ...i
      } = ze(s, t), u = {
        x: e,
        y: o
      }, c = await Ct(t, i), p = be(ie(n)), g = vt(p);
      let y = u[g], b = u[p];
      if (a) {
        const w = g === "y" ? "top" : "left", d = g === "y" ? "bottom" : "right", h = y + c[w], z = y - c[d];
        y = Fe(h, y, z);
      }
      if (r) {
        const w = p === "y" ? "top" : "left", d = p === "y" ? "bottom" : "right", h = b + c[w], z = b - c[d];
        b = Fe(h, b, z);
      }
      const m = l.fn({
        ...t,
        [g]: y,
        [p]: b
      });
      return {
        ...m,
        data: {
          x: m.x - e,
          y: m.y - o,
          enabled: {
            [g]: a,
            [p]: r
          }
        }
      };
    }
  };
};
function Pe() {
  return typeof window < "u";
}
function ce(s) {
  return et(s) ? (s.nodeName || "").toLowerCase() : "#document";
}
function T(s) {
  var t;
  return (s == null || (t = s.ownerDocument) == null ? void 0 : t.defaultView) || window;
}
function K(s) {
  var t;
  return (t = (et(s) ? s.ownerDocument : s.document) || window.document) == null ? void 0 : t.documentElement;
}
function et(s) {
  return Pe() ? s instanceof Node || s instanceof T(s).Node : !1;
}
function j(s) {
  return Pe() ? s instanceof Element || s instanceof T(s).Element : !1;
}
function Y(s) {
  return Pe() ? s instanceof HTMLElement || s instanceof T(s).HTMLElement : !1;
}
function lt(s) {
  return !Pe() || typeof ShadowRoot > "u" ? !1 : s instanceof ShadowRoot || s instanceof T(s).ShadowRoot;
}
function Se(s) {
  const {
    overflow: t,
    overflowX: e,
    overflowY: o,
    display: n
  } = F(s);
  return /auto|scroll|overlay|hidden|clip/.test(t + o + e) && !["inline", "contents"].includes(n);
}
function Ks(s) {
  return ["table", "td", "th"].includes(ce(s));
}
function Me(s) {
  return [":popover-open", ":modal"].some((t) => {
    try {
      return s.matches(t);
    } catch {
      return !1;
    }
  });
}
function tt(s) {
  const t = st(), e = j(s) ? F(s) : s;
  return e.transform !== "none" || e.perspective !== "none" || (e.containerType ? e.containerType !== "normal" : !1) || !t && (e.backdropFilter ? e.backdropFilter !== "none" : !1) || !t && (e.filter ? e.filter !== "none" : !1) || ["transform", "perspective", "filter"].some((o) => (e.willChange || "").includes(o)) || ["paint", "layout", "strict", "content"].some((o) => (e.contain || "").includes(o));
}
function Xs(s) {
  let t = J(s);
  for (; Y(t) && !ve(t); ) {
    if (tt(t))
      return t;
    if (Me(t))
      return null;
    t = J(t);
  }
  return null;
}
function st() {
  return typeof CSS > "u" || !CSS.supports ? !1 : CSS.supports("-webkit-backdrop-filter", "none");
}
function ve(s) {
  return ["html", "body", "#document"].includes(ce(s));
}
function F(s) {
  return T(s).getComputedStyle(s);
}
function Ee(s) {
  return j(s) ? {
    scrollLeft: s.scrollLeft,
    scrollTop: s.scrollTop
  } : {
    scrollLeft: s.scrollX,
    scrollTop: s.scrollY
  };
}
function J(s) {
  if (ce(s) === "html")
    return s;
  const t = (
    // Step into the shadow DOM of the parent of a slotted node.
    s.assignedSlot || // DOM Element detected.
    s.parentNode || // ShadowRoot detected.
    lt(s) && s.host || // Fallback.
    K(s)
  );
  return lt(t) ? t.host : t;
}
function kt(s) {
  const t = J(s);
  return ve(t) ? s.ownerDocument ? s.ownerDocument.body : s.body : Y(t) && Se(t) ? t : kt(t);
}
function ke(s, t, e) {
  var o;
  t === void 0 && (t = []), e === void 0 && (e = !0);
  const n = kt(s), a = n === ((o = s.ownerDocument) == null ? void 0 : o.body), r = T(n);
  if (a) {
    const l = He(r);
    return t.concat(r, r.visualViewport || [], Se(n) ? n : [], l && e ? ke(l) : []);
  }
  return t.concat(n, ke(n, [], e));
}
function He(s) {
  return s.parent && Object.getPrototypeOf(s.parent) ? s.frameElement : null;
}
function $t(s) {
  const t = F(s);
  let e = parseFloat(t.width) || 0, o = parseFloat(t.height) || 0;
  const n = Y(s), a = n ? s.offsetWidth : e, r = n ? s.offsetHeight : o, l = Oe(e) !== a || Oe(o) !== r;
  return l && (e = a, o = r), {
    width: e,
    height: o,
    $: l
  };
}
function nt(s) {
  return j(s) ? s : s.contextElement;
}
function ge(s) {
  const t = nt(s);
  if (!Y(t))
    return N(1);
  const e = t.getBoundingClientRect(), {
    width: o,
    height: n,
    $: a
  } = $t(t);
  let r = (a ? Oe(e.width) : e.width) / o, l = (a ? Oe(e.height) : e.height) / n;
  return (!r || !Number.isFinite(r)) && (r = 1), (!l || !Number.isFinite(l)) && (l = 1), {
    x: r,
    y: l
  };
}
const Us = /* @__PURE__ */ N(0);
function zt(s) {
  const t = T(s);
  return !st() || !t.visualViewport ? Us : {
    x: t.visualViewport.offsetLeft,
    y: t.visualViewport.offsetTop
  };
}
function Gs(s, t, e) {
  return t === void 0 && (t = !1), !e || t && e !== T(s) ? !1 : t;
}
function ue(s, t, e, o) {
  t === void 0 && (t = !1), e === void 0 && (e = !1);
  const n = s.getBoundingClientRect(), a = nt(s);
  let r = N(1);
  t && (o ? j(o) && (r = ge(o)) : r = ge(s));
  const l = Gs(a, e, o) ? zt(a) : N(0);
  let i = (n.left + l.x) / r.x, u = (n.top + l.y) / r.y, c = n.width / r.x, p = n.height / r.y;
  if (a) {
    const g = T(a), y = o && j(o) ? T(o) : o;
    let b = g, m = He(b);
    for (; m && o && y !== b; ) {
      const w = ge(m), d = m.getBoundingClientRect(), h = F(m), z = d.left + (m.clientLeft + parseFloat(h.paddingLeft)) * w.x, k = d.top + (m.clientTop + parseFloat(h.paddingTop)) * w.y;
      i *= w.x, u *= w.y, c *= w.x, p *= w.y, i += z, u += k, b = T(m), m = He(b);
    }
  }
  return Ae({
    width: c,
    height: p,
    x: i,
    y: u
  });
}
function ot(s, t) {
  const e = Ee(s).scrollLeft;
  return t ? t.left + e : ue(K(s)).left + e;
}
function Bt(s, t, e) {
  e === void 0 && (e = !1);
  const o = s.getBoundingClientRect(), n = o.left + t.scrollLeft - (e ? 0 : (
    // RTL <body> scrollbar.
    ot(s, o)
  )), a = o.top + t.scrollTop;
  return {
    x: n,
    y: a
  };
}
function Zs(s) {
  let {
    elements: t,
    rect: e,
    offsetParent: o,
    strategy: n
  } = s;
  const a = n === "fixed", r = K(o), l = t ? Me(t.floating) : !1;
  if (o === r || l && a)
    return e;
  let i = {
    scrollLeft: 0,
    scrollTop: 0
  }, u = N(1);
  const c = N(0), p = Y(o);
  if ((p || !p && !a) && ((ce(o) !== "body" || Se(r)) && (i = Ee(o)), Y(o))) {
    const y = ue(o);
    u = ge(o), c.x = y.x + o.clientLeft, c.y = y.y + o.clientTop;
  }
  const g = r && !p && !a ? Bt(r, i, !0) : N(0);
  return {
    width: e.width * u.x,
    height: e.height * u.y,
    x: e.x * u.x - i.scrollLeft * u.x + c.x + g.x,
    y: e.y * u.y - i.scrollTop * u.y + c.y + g.y
  };
}
function Qs(s) {
  return Array.from(s.getClientRects());
}
function Js(s) {
  const t = K(s), e = Ee(s), o = s.ownerDocument.body, n = oe(t.scrollWidth, t.clientWidth, o.scrollWidth, o.clientWidth), a = oe(t.scrollHeight, t.clientHeight, o.scrollHeight, o.clientHeight);
  let r = -e.scrollLeft + ot(s);
  const l = -e.scrollTop;
  return F(o).direction === "rtl" && (r += oe(t.clientWidth, o.clientWidth) - n), {
    width: n,
    height: a,
    x: r,
    y: l
  };
}
function en(s, t) {
  const e = T(s), o = K(s), n = e.visualViewport;
  let a = o.clientWidth, r = o.clientHeight, l = 0, i = 0;
  if (n) {
    a = n.width, r = n.height;
    const u = st();
    (!u || u && t === "fixed") && (l = n.offsetLeft, i = n.offsetTop);
  }
  return {
    width: a,
    height: r,
    x: l,
    y: i
  };
}
function tn(s, t) {
  const e = ue(s, !0, t === "fixed"), o = e.top + s.clientTop, n = e.left + s.clientLeft, a = Y(s) ? ge(s) : N(1), r = s.clientWidth * a.x, l = s.clientHeight * a.y, i = n * a.x, u = o * a.y;
  return {
    width: r,
    height: l,
    x: i,
    y: u
  };
}
function rt(s, t, e) {
  let o;
  if (t === "viewport")
    o = en(s, e);
  else if (t === "document")
    o = Js(K(s));
  else if (j(t))
    o = tn(t, e);
  else {
    const n = zt(s);
    o = {
      x: t.x - n.x,
      y: t.y - n.y,
      width: t.width,
      height: t.height
    };
  }
  return Ae(o);
}
function St(s, t) {
  const e = J(s);
  return e === t || !j(e) || ve(e) ? !1 : F(e).position === "fixed" || St(e, t);
}
function sn(s, t) {
  const e = t.get(s);
  if (e)
    return e;
  let o = ke(s, [], !1).filter((l) => j(l) && ce(l) !== "body"), n = null;
  const a = F(s).position === "fixed";
  let r = a ? J(s) : s;
  for (; j(r) && !ve(r); ) {
    const l = F(r), i = tt(r);
    !i && l.position === "fixed" && (n = null), (a ? !i && !n : !i && l.position === "static" && !!n && ["absolute", "fixed"].includes(n.position) || Se(r) && !i && St(s, r)) ? o = o.filter((c) => c !== r) : n = l, r = J(r);
  }
  return t.set(s, o), o;
}
function nn(s) {
  let {
    element: t,
    boundary: e,
    rootBoundary: o,
    strategy: n
  } = s;
  const r = [...e === "clippingAncestors" ? Me(t) ? [] : sn(t, this._c) : [].concat(e), o], l = r[0], i = r.reduce((u, c) => {
    const p = rt(t, c, n);
    return u.top = oe(p.top, u.top), u.right = ye(p.right, u.right), u.bottom = ye(p.bottom, u.bottom), u.left = oe(p.left, u.left), u;
  }, rt(t, l, n));
  return {
    width: i.right - i.left,
    height: i.bottom - i.top,
    x: i.left,
    y: i.top
  };
}
function on(s) {
  const {
    width: t,
    height: e
  } = $t(s);
  return {
    width: t,
    height: e
  };
}
function an(s, t, e) {
  const o = Y(t), n = K(t), a = e === "fixed", r = ue(s, !0, a, t);
  let l = {
    scrollLeft: 0,
    scrollTop: 0
  };
  const i = N(0);
  if (o || !o && !a)
    if ((ce(t) !== "body" || Se(n)) && (l = Ee(t)), o) {
      const g = ue(t, !0, a, t);
      i.x = g.x + t.clientLeft, i.y = g.y + t.clientTop;
    } else
      n && (i.x = ot(n));
  const u = n && !o && !a ? Bt(n, l) : N(0), c = r.left + l.scrollLeft - i.x - u.x, p = r.top + l.scrollTop - i.y - u.y;
  return {
    x: c,
    y: p,
    width: r.width,
    height: r.height
  };
}
function Te(s) {
  return F(s).position === "static";
}
function it(s, t) {
  if (!Y(s) || F(s).position === "fixed")
    return null;
  if (t)
    return t(s);
  let e = s.offsetParent;
  return K(s) === e && (e = e.ownerDocument.body), e;
}
function Lt(s, t) {
  const e = T(s);
  if (Me(s))
    return e;
  if (!Y(s)) {
    let n = J(s);
    for (; n && !ve(n); ) {
      if (j(n) && !Te(n))
        return n;
      n = J(n);
    }
    return e;
  }
  let o = it(s, t);
  for (; o && Ks(o) && Te(o); )
    o = it(o, t);
  return o && ve(o) && Te(o) && !tt(o) ? e : o || Xs(s) || e;
}
const ln = async function(s) {
  const t = this.getOffsetParent || Lt, e = this.getDimensions, o = await e(s.floating);
  return {
    reference: an(s.reference, await t(s.floating), s.strategy),
    floating: {
      x: 0,
      y: 0,
      width: o.width,
      height: o.height
    }
  };
};
function rn(s) {
  return F(s).direction === "rtl";
}
const un = {
  convertOffsetParentRelativeRectToViewportRelativeRect: Zs,
  getDocumentElement: K,
  getClippingRect: nn,
  getOffsetParent: Lt,
  getElementRects: ln,
  getClientRects: Qs,
  getDimensions: on,
  getScale: ge,
  isElement: j,
  isRTL: rn
};
function cn(s, t) {
  let e = null, o;
  const n = K(s);
  function a() {
    var l;
    clearTimeout(o), (l = e) == null || l.disconnect(), e = null;
  }
  function r(l, i) {
    l === void 0 && (l = !1), i === void 0 && (i = 1), a();
    const {
      left: u,
      top: c,
      width: p,
      height: g
    } = s.getBoundingClientRect();
    if (l || t(), !p || !g)
      return;
    const y = Le(c), b = Le(n.clientWidth - (u + p)), m = Le(n.clientHeight - (c + g)), w = Le(u), h = {
      rootMargin: -y + "px " + -b + "px " + -m + "px " + -w + "px",
      threshold: oe(0, ye(1, i)) || 1
    };
    let z = !0;
    function k(B) {
      const V = B[0].intersectionRatio;
      if (V !== i) {
        if (!z)
          return r();
        V ? r(!1, V) : o = setTimeout(() => {
          r(!1, 1e-7);
        }, 1e3);
      }
      z = !1;
    }
    try {
      e = new IntersectionObserver(k, {
        ...h,
        // Handle <iframe>s
        root: n.ownerDocument
      });
    } catch {
      e = new IntersectionObserver(k, h);
    }
    e.observe(s);
  }
  return r(!0), a;
}
function dn(s, t, e, o) {
  o === void 0 && (o = {});
  const {
    ancestorScroll: n = !0,
    ancestorResize: a = !0,
    elementResize: r = typeof ResizeObserver == "function",
    layoutShift: l = typeof IntersectionObserver == "function",
    animationFrame: i = !1
  } = o, u = nt(s), c = n || a ? [...u ? ke(u) : [], ...ke(t)] : [];
  c.forEach((d) => {
    n && d.addEventListener("scroll", e, {
      passive: !0
    }), a && d.addEventListener("resize", e);
  });
  const p = u && l ? cn(u, e) : null;
  let g = -1, y = null;
  r && (y = new ResizeObserver((d) => {
    let [h] = d;
    h && h.target === u && y && (y.unobserve(t), cancelAnimationFrame(g), g = requestAnimationFrame(() => {
      var z;
      (z = y) == null || z.observe(t);
    })), e();
  }), u && !i && y.observe(u), y.observe(t));
  let b, m = i ? ue(s) : null;
  i && w();
  function w() {
    const d = ue(s);
    m && (d.x !== m.x || d.y !== m.y || d.width !== m.width || d.height !== m.height) && e(), m = d, b = requestAnimationFrame(w);
  }
  return e(), () => {
    var d;
    c.forEach((h) => {
      n && h.removeEventListener("scroll", e), a && h.removeEventListener("resize", e);
    }), p == null || p(), (d = y) == null || d.disconnect(), y = null, i && cancelAnimationFrame(b);
  };
}
const Ot = qs, Rt = Ys, At = Hs, pn = Ws, fn = (s, t, e) => {
  const o = /* @__PURE__ */ new Map(), n = {
    platform: un,
    ...e
  }, a = {
    ...n.platform,
    _c: o
  };
  return Fs(s, t, {
    ...n,
    platform: a
  });
};
function gn(s) {
  return s != null && typeof s == "object" && "$el" in s;
}
function Ne(s) {
  if (gn(s)) {
    const t = s.$el;
    return et(t) && ce(t) === "#comment" ? null : t;
  }
  return s;
}
function fe(s) {
  return typeof s == "function" ? s() : _(s);
}
function hn(s) {
  return {
    name: "arrow",
    options: s,
    fn(t) {
      const e = Ne(fe(s.element));
      return e == null ? {} : pn({
        element: e,
        padding: s.padding
      }).fn(t);
    }
  };
}
function _t(s) {
  return typeof window > "u" ? 1 : (s.ownerDocument.defaultView || window).devicePixelRatio || 1;
}
function ut(s, t) {
  const e = _t(s);
  return Math.round(t * e) / e;
}
function Dt(s, t, e) {
  e === void 0 && (e = {});
  const o = e.whileElementsMounted, n = x(() => {
    var L;
    return (L = fe(e.open)) != null ? L : !0;
  }), a = x(() => fe(e.middleware)), r = x(() => {
    var L;
    return (L = fe(e.placement)) != null ? L : "bottom";
  }), l = x(() => {
    var L;
    return (L = fe(e.strategy)) != null ? L : "absolute";
  }), i = x(() => {
    var L;
    return (L = fe(e.transform)) != null ? L : !0;
  }), u = x(() => Ne(s.value)), c = x(() => Ne(t.value)), p = R(0), g = R(0), y = R(l.value), b = R(r.value), m = It({}), w = R(!1), d = x(() => {
    const L = {
      position: y.value,
      left: "0",
      top: "0"
    };
    if (!c.value)
      return L;
    const P = ut(c.value, p.value), W = ut(c.value, g.value);
    return i.value ? {
      ...L,
      transform: "translate(" + P + "px, " + W + "px)",
      ..._t(c.value) >= 1.5 && {
        willChange: "transform"
      }
    } : {
      position: y.value,
      left: P + "px",
      top: W + "px"
    };
  });
  let h;
  function z() {
    if (u.value == null || c.value == null)
      return;
    const L = n.value;
    fn(u.value, c.value, {
      middleware: a.value,
      placement: r.value,
      strategy: l.value
    }).then((P) => {
      p.value = P.x, g.value = P.y, y.value = P.strategy, b.value = P.placement, m.value = P.middlewareData, w.value = L !== !1;
    });
  }
  function k() {
    typeof h == "function" && (h(), h = void 0);
  }
  function B() {
    if (k(), o === void 0) {
      z();
      return;
    }
    if (u.value != null && c.value != null) {
      h = o(u.value, c.value, z);
      return;
    }
  }
  function V() {
    n.value || (w.value = !1);
  }
  return U([a, r, l, n], z, {
    flush: "sync"
  }), U([u, c], B, {
    flush: "sync"
  }), U(n, V, {
    flush: "sync"
  }), ft() && gt(k), {
    x: pe(p),
    y: pe(g),
    strategy: pe(y),
    placement: pe(b),
    middlewareData: pe(m),
    isPositioned: pe(w),
    floatingStyles: d,
    update: z
  };
}
function mn(s) {
  return ft() ? (gt(s), !0) : !1;
}
const xn = typeof window < "u" && typeof document < "u";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
function ct(s, t, e = {}) {
  const {
    immediate: o = !0
  } = e, n = R(!1);
  let a = null;
  function r() {
    a && (clearTimeout(a), a = null);
  }
  function l() {
    n.value = !1, r();
  }
  function i(...u) {
    r(), n.value = !0, a = setTimeout(() => {
      n.value = !1, a = null, s(...u);
    }, Ft(t));
  }
  return o && (n.value = !0, xn && i()), mn(l), {
    isPending: jt(n),
    start: i,
    stop: l
  };
}
function yn(s = {}) {
  const {
    openDelay: t = 0,
    closeDelay: e = 150,
    onOpen: o,
    onClose: n,
    initiallyOpened: a = !1
  } = s, r = R(!1), { start: l, stop: i } = ct(() => {
    r.value = !0, o == null || o();
  }, t), { start: u, stop: c } = ct(() => {
    r.value = !1, n == null || n();
  }, e), p = () => {
    c(), t === 0 ? (r.value = !0, o == null || o()) : l();
  }, g = () => {
    i(), e === 0 ? (r.value = !1, n == null || n()) : u();
  };
  return a && p(), {
    isOpen: r,
    open: p,
    close: g
  };
}
const Vt = Symbol("hover-card"), Pt = /* @__PURE__ */ A({
  __name: "HoverCardTarget",
  props: {
    withWrapper: { type: Boolean, default: !1 },
    wrapperClass: { default: "" }
  },
  setup(s) {
    return Ke(Vt, null), (t, e) => t.withWrapper ? (f(), v("div", {
      key: 0,
      class: C(t.wrapperClass)
    }, [
      O(t.$slots, "default")
    ], 2)) : O(t.$slots, "default", { key: 1 });
  }
}), bn = { class: "rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700 px-3 py-2" }, vn = /* @__PURE__ */ A({
  __name: "HoverCard",
  props: {
    initiallyOpened: { type: Boolean, default: !1 },
    openDelay: { default: 0 },
    closeDelay: { default: 150 },
    placement: { default: "bottom" },
    onOpen: {},
    onClose: {},
    offset: { default: 8 },
    disabled: { type: Boolean, default: !1 },
    size: { default: "md" },
    withArrow: { type: Boolean, default: !0 },
    arrowOffset: { default: 8 },
    trapFocus: { type: Boolean, default: !0 },
    zIndex: { default: 1e3 }
  },
  setup(s) {
    const t = s, e = R(!1);
    qe(() => {
      e.value = !0;
    });
    const o = R(null), n = R(null), a = R(null), { isOpen: r, open: l, close: i } = yn({
      openDelay: t.openDelay,
      closeDelay: t.closeDelay,
      initiallyOpened: t.initiallyOpened
    });
    je(Vt, {
      isOpen: r,
      open: l,
      close: i
    });
    const {
      x: u,
      y: c,
      strategy: p,
      middlewareData: g,
      placement: y,
      update: b
    } = Dt(n, a, {
      placement: t.placement,
      middleware: [
        Ot(t.offset),
        At({
          fallbackPlacements: ["top", "bottom", "right", "left"].filter((k) => k !== t.placement)
        }),
        Rt({ padding: 8 }),
        hn({ element: o })
      ]
    });
    U(r, async (k) => {
      k && await b();
    });
    const m = x(() => {
      var k, B;
      return (B = (k = g.value) == null ? void 0 : k.arrow) == null ? void 0 : B.x;
    }), w = x(() => {
      var k, B;
      return (B = (k = g.value) == null ? void 0 : k.arrow) == null ? void 0 : B.y;
    }), d = x(() => {
      switch (y.value) {
        case "top":
          return "bottom";
        case "bottom":
          return "top";
        case "left":
          return "right";
        case "right":
          return "left";
        default:
          return "bottom";
      }
    }), h = x(() => {
      switch (y.value) {
        case "top":
          return "translate(-50%, 50%)";
        case "bottom":
          return "translate(-50%, -50%)";
        case "left":
          return "translate(50%, -50%)";
        case "right":
          return "translate(-50%, -50%)";
        default:
          return "translate(-50%, -50%)";
      }
    }), z = x(() => ({
      xs: "w-[200px]",
      sm: "w-[240px]",
      md: "w-[320px]",
      lg: "w-[400px]",
      xl: "w-[480px]"
    })[t.size]);
    return (k, B) => (f(), v("div", {
      ref_key: "reference",
      ref: n,
      class: "relative inline-block",
      onMouseenter: B[2] || (B[2] = (V) => !k.disabled && _(l)()),
      onMouseleave: B[3] || (B[3] = (V) => !k.disabled && _(i)())
    }, [
      xe(Pt, null, {
        default: le(() => [
          O(k.$slots, "target")
        ]),
        _: 3
      }),
      e.value ? (f(), q(Ye, {
        key: 0,
        to: "body"
      }, [
        xe($e, {
          "enter-active-class": "transition duration-200 ease-out",
          "enter-from-class": "opacity-0 translate-y-1",
          "enter-to-class": "opacity-100 translate-y-0",
          "leave-active-class": "transition duration-150 ease-in",
          "leave-from-class": "opacity-100 translate-y-0",
          "leave-to-class": "opacity-0 translate-y-1"
        }, {
          default: le(() => [
            _(r) ? (f(), v("div", {
              key: 0,
              ref_key: "floating",
              ref: a,
              style: E({
                position: _(p),
                top: `${_(c) ?? 0}px`,
                left: `${_(u) ?? 0}px`,
                zIndex: k.zIndex || 1e3
              }),
              class: C(["min-w-[200px]", [z.value]]),
              onMouseenter: B[0] || (B[0] = (V) => !k.disabled && _(l)()),
              onMouseleave: B[1] || (B[1] = (V) => !k.disabled && _(i)())
            }, [
              $("div", bn, [
                O(k.$slots, "dropdown")
              ]),
              k.withArrow ? (f(), v("div", {
                key: 0,
                ref_key: "arrowRef",
                ref: o,
                class: "absolute w-2 h-2 rotate-45 bg-white dark:bg-gray-800 border border-gray-200 dark:border-gray-700",
                style: E({
                  position: "absolute",
                  left: `${m.value ?? 0}px`,
                  top: `${w.value ?? 0}px`,
                  [d.value]: "-1px",
                  "z-index": -1,
                  "transform-origin": "center",
                  transform: `rotate(45deg) ${h.value}`
                })
              }, null, 4)) : S("", !0)
            ], 38)) : S("", !0)
          ]),
          _: 3
        })
      ])) : S("", !0)
    ], 544));
  }
});
Object.assign(vn, {
  Target: Pt
});
const Wn = {}, wn = {
  key: 0,
  class: "badge-section mr-2"
}, Cn = { class: "badge-label" }, kn = {
  key: 1,
  class: "badge-section ml-2"
}, Hn = /* @__PURE__ */ A({
  __name: "Badge",
  props: {
    size: { default: "md" },
    circle: { type: Boolean, default: !1 },
    radius: { default: "xl" },
    color: { default: "primary" },
    gradient: {},
    leftSection: {},
    rightSection: {},
    fullWidth: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  setup(s) {
    const t = s, e = (a) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[a] || "rounded-lg", o = (a) => `relative pl-6 before:absolute before:left-2 before:top-1/2 before:-translate-y-1/2 before:w-2 before:h-2 before:rounded-full before:bg-${a}-500`, n = x(() => {
      var p, g;
      const a = "inline-flex items-center justify-center font-medium", r = t.variant === "gradient" ? `bg-gradient-to-r from-${(p = t.gradient) == null ? void 0 : p.from} to-${(g = t.gradient) == null ? void 0 : g.to} text-white` : ne(t.color, t.variant), l = I(t.size, "badge"), i = e(t.radius), u = t.variant === "dot" ? o(t.color) : "";
      return [
        a,
        r,
        l,
        i,
        u,
        {
          "aspect-square p-0": t.circle,
          "w-full": t.fullWidth
        }
      ].filter(Boolean).join(" ");
    });
    return (a, r) => (f(), v("div", {
      class: C(n.value)
    }, [
      a.leftSection ? (f(), v("span", wn, [
        typeof a.leftSection == "string" ? (f(), v(ae, { key: 0 }, [
          se(D(a.leftSection), 1)
        ], 64)) : (f(), q(he(a.leftSection), { key: 1 }))
      ])) : S("", !0),
      $("span", Cn, [
        O(a.$slots, "default")
      ]),
      a.rightSection ? (f(), v("span", kn, [
        typeof a.rightSection == "string" ? (f(), v(ae, { key: 0 }, [
          se(D(a.rightSection), 1)
        ], 64)) : (f(), q(he(a.rightSection), { key: 1 }))
      ])) : S("", !0)
    ], 2));
  }
});
const $n = {
  mounted(s, t) {
    s._clickOutside = (e) => {
      const o = e.target;
      s === o || s.contains(o) || t.value(e);
    }, document.addEventListener("click", s._clickOutside, !0), document.addEventListener("touchstart", s._clickOutside, !0);
  },
  unmounted(s) {
    s._clickOutside && (document.removeEventListener("click", s._clickOutside, !0), document.removeEventListener("touchstart", s._clickOutside, !0));
  }
};
function zn(s) {
  return {
    none: "cstu-rounded-none",
    sm: "cstu-rounded-sm",
    md: "cstu-rounded",
    lg: "cstu-rounded-lg",
    xl: "cstu-rounded-xl",
    full: "cstu-rounded-full"
  }[s];
}
const Bn = ["data-active"], Nn = /* @__PURE__ */ A({
  __name: "Dropdown",
  props: {
    size: { default: "md" },
    radius: { default: "md" },
    open: { type: Boolean, default: !1 },
    buttonClasses: { default: "" },
    dropdownClasses: { default: "" },
    placement: { default: "bottom" },
    disabled: { type: Boolean, default: !1 },
    containerClasses: { default: "" },
    showArrow: { type: Boolean, default: !0 },
    disabledText: { default: "" },
    parentPositionRelative: { type: Boolean, default: !0 },
    offsetDistance: { default: 8 },
    unstyled: { type: Boolean, default: !1 }
  },
  emits: ["close", "update:open"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = R(e.open), a = R(0), r = R(null), l = R(null), i = x(() => {
      switch (e.placement) {
        case "top":
          return "top-start";
        case "bottom":
          return "bottom-start";
        case "left":
          return "left-start";
        case "right":
          return "right-start";
        default:
          return "bottom-start";
      }
    }), { floatingStyles: u, update: c } = Dt(l, r, {
      placement: i.value,
      middleware: [
        Ot(e.offsetDistance),
        At({
          fallbackPlacements: ["top-start", "bottom-start", "left-start", "right-start"],
          padding: 8
        }),
        Rt({ padding: 8 })
      ],
      whileElementsMounted: dn,
      strategy: "fixed"
    }), p = Ke("parentDropdownOpen", null);
    je("parentDropdownOpen", n), U(() => p == null ? void 0 : p.value, (d) => {
      d === !1 && (n.value = !1);
    }, { immediate: !0 }), U(n, (d) => {
      d && ht(() => {
        c();
      });
    });
    const g = x(() => I(e.size, "dropdown")), y = x(() => zn(e.radius));
    function b(d) {
      var k, B;
      if (!d) {
        n.value = !1, o("close"), o("update:open", !1);
        return;
      }
      (k = r.value) != null && k.contains(d.target) || (B = l.value) != null && B.contains(d.target) || d.target.closest(".cstu-dropdown-menu") || (n.value = !1, o("close"), o("update:open", !1));
    }
    je("dropdownClose", b);
    function m() {
      e.disabled || (n.value ? (n.value = !1, o("close"), o("update:open", !1)) : (n.value = !0, o("update:open", !0), setTimeout(() => {
        var h, z;
        (h = r.value) == null || h.focus();
        const d = (z = r.value) == null ? void 0 : z.querySelector(".active");
        d == null || d.scrollIntoView({ behavior: "smooth" });
      }, 100)));
    }
    function w(d) {
      r.value && (d.key === "ArrowUp" && a.value > 0 ? (d.preventDefault(), a.value--) : d.key === "ArrowDown" && a.value < r.value.children.length - 1 && (d.preventDefault(), a.value++));
    }
    return (d, h) => me((f(), v("div", {
      class: C(["cstu-inline-block cstu-text-left cstu-dropdown-container", [
        { "cstu-relative": d.parentPositionRelative },
        { "cstu-grayscale cstu-filter cstu-cursor-not-allowed cstu-opacity-70": d.disabled },
        d.containerClasses
      ]])
    }, [
      $("button", {
        ref_key: "buttonRef",
        ref: l,
        type: "button",
        class: C([
          !d.unstyled && "cstu-text-gray-500 cstu-inline-flex cstu-overflow-hidden cstu-text-ellipsis cstu-whitespace-pre cstu-justify-between cstu-items-center cstu-w-full focus:cstu-outline-none",
          !d.unstyled && y.value,
          !d.unstyled && g.value,
          { "cstu-pointer-events-none": d.disabled },
          d.buttonClasses || !d.unstyled && "cstu-border cstu-border-gray-400/20 hover:cstu-bg-gray-100/50 hover:cstu-border-gray-400/25"
        ]),
        "aria-expanded": "true",
        "aria-haspopup": "true",
        onClick: m
      }, [
        O(d.$slots, "icon"),
        O(d.$slots, "selected", {}, () => [
          h[0] || (h[0] = se("Select"))
        ]),
        d.showArrow ? (f(), v("span", {
          key: 0,
          class: C(["cstu-transition cstu-leading-none", { "cstu-rotate-180": n.value }])
        }, [
          O(d.$slots, "arrow", {}, () => [
            h[1] || (h[1] = Wt('<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12" fill="none"><g clip-path="url(#clip0_33663_12905)"><path d="M6 8.95312C5.91113 8.95312 5.82739 8.93604 5.74878 8.90186C5.67017 8.86768 5.6001 8.81982 5.53857 8.7583L0.93457 4.1543C0.886719 4.09961 0.845703 4.03467 0.811523 3.95947C0.777344 3.88428 0.760254 3.80225 0.760254 3.71338C0.760254 3.53564 0.823486 3.38354 0.949951 3.25708C1.07642 3.13062 1.23193 3.06738 1.4165 3.06738C1.49854 3.06738 1.57715 3.08276 1.65234 3.11353C1.72754 3.14429 1.7959 3.18701 1.85742 3.2417L6 7.40479L10.1426 3.2417C10.2041 3.18701 10.2725 3.14429 10.3477 3.11353C10.4229 3.08276 10.5015 3.06738 10.5835 3.06738C10.7681 3.06738 10.9236 3.13062 11.05 3.25708C11.1765 3.38354 11.2397 3.53564 11.2397 3.71338C11.2397 3.80225 11.2227 3.88428 11.1885 3.95947C11.1543 4.03467 11.1133 4.09961 11.0654 4.1543L6.46143 8.7583C6.3999 8.81982 6.32983 8.86768 6.25122 8.90186C6.17261 8.93604 6.08887 8.95312 6 8.95312Z" fill="#99A3A9"></path></g><defs><clipPath id="clip0_33663_12905"><rect width="10.5" height="11" fill="white" transform="matrix(1 0 0 -1 0.75 11.5)"></rect></clipPath></defs></svg>', 1))
          ])
        ], 2)) : S("", !0)
      ], 2),
      xe($e, {
        "enter-active-class": "cstu-transition cstu-ease-out cstu-duration-100",
        "enter-from-class": "cstu-transform cstu-opacity-0 cstu-scale-95",
        "enter-to-class": "cstu-transform cstu-opacity-100 cstu-scale-100",
        "leave-active-class": "cstu-transition cstu-ease-in cstu-duration-75",
        "leave-from-class": "cstu-transform cstu-opacity-100 cstu-scale-100",
        "leave-to-class": "cstu-transform cstu-opacity-0 cstu-scale-95"
      }, {
        default: le(() => [
          (f(), q(Ye, { to: "body" }, [
            me($("div", {
              ref_key: "dropdownList",
              ref: r,
              style: E(_(u)),
              class: C(["cstu-dropdown-menu cstu-max-h-72 cstu-px-[12px] cstu-py-[13px] cstu-min-w-[225px] cstu-overflow-y-auto cstu-origin-top-left cstu-rounded-lg cstu-shadow-custom cstu-bg-white focus:cstu-outline-none cstu-z-50", [y.value, d.dropdownClasses]])
            }, [
              $("div", {
                class: "cstu-flex cstu-flex-col cstu-gap-[11px]",
                role: "menu",
                "aria-orientation": "vertical",
                "aria-labelledby": "menu-button",
                "data-active": a.value,
                tabindex: "-1",
                onKeydown: w
              }, [
                O(d.$slots, "default")
              ], 40, Bn)
            ], 6), [
              [De, n.value]
            ])
          ]))
        ]),
        _: 3
      })
    ], 2)), [
      [_($n), b]
    ]);
  }
}), qn = /* @__PURE__ */ A({
  __name: "DropdownItem",
  props: {
    disabled: { type: Boolean, default: !1 },
    closeOnClick: { type: Boolean, default: !0 },
    class: { default: "" },
    selected: { type: Boolean, default: !1 },
    size: { default: "md" }
  },
  emits: ["click"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = Ke("dropdownClose", () => {
    }), a = x(() => e.class);
    function r() {
      e.disabled || (e.closeOnClick && n(), o("click"));
    }
    return (l, i) => (f(), v("div", {
      role: "menuitem",
      tabindex: "-1",
      class: C([
        "cstu-cursor-pointer hover:cstu-bg-blue-50 active:cstu-bg-blue-50 cstu-rounded-lg",
        _(Ge)(e.size),
        "cstu-py-[5.5px] cstu-pr-[13.5px] cstu-pl-[10.5px]",
        { "cstu-cursor-not-allowed cstu-bg-gray-100": l.disabled },
        { "cstu-bg-blue-50": l.selected },
        a.value
      ]),
      onClick: r
    }, [
      O(l.$slots, "default", { selected: l.selected })
    ], 2));
  }
}), Sn = /* @__PURE__ */ A({
  __name: "ListItem",
  props: {
    disabled: { type: Boolean, default: !1 },
    selected: { type: Boolean, default: !1 },
    class: { default: "" },
    selectedClass: { default: "" }
  },
  emits: ["click"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = x(() => e.class);
    function a() {
      e.disabled || o("click");
    }
    return (r, l) => (f(), v("div", {
      role: "listitem",
      tabindex: "-1",
      class: C([
        "cstu-cursor-pointer cstu-rounded-lg",
        "cstu-py-[5.5px] cstu-pr-[13.5px] cstu-pl-[10.5px]",
        { "hover:cstu-bg-blue-50 active:cstu-bg-blue-50": !r.disabled },
        { "cstu-cursor-not-allowed cstu-bg-gray-100 ": r.disabled },
        { [r.selectedClass || "cstu-bg-blue-50"]: r.selected && !r.disabled },
        n.value
      ]),
      onClick: a
    }, [
      O(r.$slots, "default", { selected: r.selected })
    ], 2));
  }
}), Yn = /* @__PURE__ */ A({
  __name: "Collapsible",
  props: {
    defaultOpen: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    class: { default: "" },
    hideArrow: { type: Boolean, default: !1 },
    buttonClass: { default: "" },
    selectedClass: { default: "" },
    modelValue: { type: Boolean, default: void 0 }
  },
  emits: ["update:modelValue"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = x(() => e.modelValue !== void 0), a = x({
      get: () => n.value ? e.modelValue ?? !1 : r.value,
      set: (u) => {
        n.value ? o("update:modelValue", u) : r.value = u;
      }
    }), r = R(e.defaultOpen), l = x(() => e.class);
    function i() {
      e.disabled || (a.value = !a.value);
    }
    return (u, c) => (f(), v("div", {
      class: C(["space-y-1 cstu-select-none", l.value])
    }, [
      xe(Sn, {
        role: "button",
        disabled: u.disabled,
        class: C(["cstu-flex cstu-items-center cstu-justify-between", u.buttonClass].join(" ")),
        "selected-class": u.selectedClass,
        selected: a.value,
        onClick: i
      }, {
        default: le(() => [
          O(u.$slots, "trigger", { open: a.value }),
          u.hideArrow ? S("", !0) : (f(), v("svg", {
            key: 0,
            xmlns: "http://www.w3.org/2000/svg",
            width: "10",
            height: "7",
            viewBox: "0 0 10 7",
            fill: "none",
            class: C(["cstu-transform cstu-transition-transform cstu-duration-200", { "cstu-rotate-180": a.value }])
          }, c[0] || (c[0] = [
            $("path", {
              d: "M5.64844 0.919922L9.81641 5.08789C9.91667 5.18815 9.9668 5.3099 9.9668 5.45312C9.9668 5.59635 9.91667 5.7181 9.81641 5.81836L9.34375 6.29102C9.24349 6.39128 9.12174 6.44499 8.97852 6.45215C8.83529 6.45931 8.71354 6.41276 8.61328 6.3125L5.2832 2.98242L1.95312 6.3125C1.85286 6.41276 1.73112 6.45931 1.58789 6.45215C1.44466 6.44499 1.32292 6.39128 1.22266 6.29102L0.75 5.81836C0.649739 5.7181 0.599609 5.59635 0.599609 5.45312C0.599609 5.3099 0.649739 5.18815 0.75 5.08789L4.91797 0.919922C5.01823 0.805339 5.13997 0.748047 5.2832 0.748047C5.42643 0.748047 5.54818 0.805339 5.64844 0.919922Z",
              fill: "#75797C"
            }, null, -1)
          ]), 2))
        ]),
        _: 3
      }, 8, ["disabled", "class", "selected-class", "selected"]),
      xe($e, {
        "enter-active-class": "cstu-transition cstu-duration-100 cstu-ease-out",
        "enter-from-class": "cstu-transform cstu-scale-95 cstu-opacity-0",
        "enter-to-class": "cstu-transform cstu-scale-100 cstu-opacity-100",
        "leave-active-class": "cstu-transition cstu-duration-75 cstu-ease-in",
        "leave-from-class": "cstu-transform cstu-scale-100 cstu-opacity-100",
        "leave-to-class": "cstu-transform cstu-scale-95 cstu-opacity-0"
      }, {
        default: le(() => [
          me($("div", null, [
            O(u.$slots, "default")
          ], 512), [
            [De, a.value]
          ])
        ]),
        _: 3
      })
    ], 2));
  }
}), Ie = {
  none: "rounded-none",
  xs: "rounded",
  sm: "rounded-md",
  md: "rounded-lg",
  lg: "rounded-xl",
  xl: "rounded-2xl",
  full: "rounded-full"
}, Ln = ["onClick", "data-value"], Kn = /* @__PURE__ */ A({
  name: "SegmentedControl",
  __name: "SegmentedControl",
  props: {
    modelValue: { default: "" },
    data: {},
    size: { default: "md" },
    radius: { default: "md" },
    color: { default: "primary" },
    disabled: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 },
    transitionDuration: { default: 200 },
    withItemsBorders: { type: Boolean, default: !1 },
    orientation: { default: "horizontal" }
  },
  emits: ["update:modelValue"],
  setup(s, { emit: t }) {
    const e = t, o = s, n = R({}), a = R(null), r = x(() => o.data.map((c) => typeof c == "string" ? { value: c, label: c } : c)), l = x(() => o.orientation === "horizontal" ? "cstu-flex-row" : "cstu-flex-col"), i = async () => {
      if (!o.modelValue)
        return;
      await ht();
      const c = n.value[o.modelValue];
      if (!c)
        return;
      const p = c.getBoundingClientRect(), g = c.parentElement.getBoundingClientRect();
      a.value = {
        left: p.left - g.left,
        top: p.top - g.top,
        width: p.width,
        height: p.height
      };
    }, u = (c) => {
      e("update:modelValue", c);
    };
    return U(() => o.modelValue, i), U(() => o.orientation, i), qe(() => {
      i(), window.addEventListener("resize", i);
    }), pt(() => {
      window.removeEventListener("resize", i);
    }), (c, p) => (f(), v("div", {
      class: C([
        "cstu-relative cstu-inline-flex",
        l.value,
        {
          "cstu-w-full": c.fullWidth,
          "cstu-opacity-50 cstu-pointer-events-none": c.disabled
        }
      ]),
      role: "radiogroup"
    }, [
      a.value ? (f(), v("div", {
        key: 0,
        class: C(["cstu-absolute cstu-bg-white cstu-rounded-[inherit]", _(Ie)[c.radius]]),
        style: E({
          transform: `translate(${a.value.left}px, ${a.value.top}px)`,
          width: `${a.value.width}px`,
          height: `${a.value.height}px`,
          transition: `transform ${c.transitionDuration}ms ease`,
          boxShadow: "0 1px 2px 0 rgb(0 0 0 / 0.05)"
        })
      }, null, 6)) : S("", !0),
      $("div", {
        class: C([
          "cstu-relative cstu-flex",
          l.value,
          _(Ie)[c.radius],
          {
            "cstu-w-full": c.fullWidth,
            "cstu-divide-x cstu-divide-gray-200": c.withItemsBorders && c.orientation === "horizontal",
            "cstu-divide-y cstu-divide-gray-200": c.withItemsBorders && c.orientation === "vertical"
          },
          _(I)(c.size, "segmentedControlContainer"),
          "cstu-bg-gray-100"
        ])
      }, [
        (f(!0), v(ae, null, _e(r.value, (g) => (f(), v("div", {
          key: g.value,
          class: C([
            "cstu-relative cstu-flex-1",
            "cstu-transition-all cstu-duration-200",
            _(Yt)(!!g.disabled),
            o.modelValue === g.value ? "cstu-bg-white cstu-border-gray-500/15" : "cstu-border-transparent",
            _(I)(c.size, "segmentedControl"),
            "cstu-cursor-pointer",
            "cstu-flex cstu-items-center cstu-justify-center hover:cstu-border-gray-500/15 cstu-border",
            _(Ie)[c.radius]
          ]),
          onClick: () => !g.disabled && u(g.value),
          "data-value": g.value,
          ref_for: !0,
          ref: "el => segmentRefs[option.value] = el"
        }, [
          $("span", {
            class: C([
              _(Ze)({ size: c.size, disabled: g.disabled }),
              o.modelValue === g.value ? "cstu-text-gray-500" : "cstu-text-gray-600",
              "cstu-select-none !cstu-mb-0 !cstu-font-normal cstu-capitalize cstu-whitespace-nowrap"
            ])
          }, D(g.label), 3)
        ], 10, Ln))), 128))
      ], 2)
    ], 2));
  }
});
export {
  Tn as Alert,
  Hn as Badge,
  Rn as Button,
  An as Checkbox,
  Pn as Chip,
  In as Collapse,
  Yn as Collapsible,
  Fn as Dialog,
  Nn as Dropdown,
  qn as DropdownItem,
  vn as HoverCard,
  Pt as HoverCardTarget,
  Mn as Indicator,
  Sn as ListItem,
  jn as Loader,
  En as Progress,
  _n as Radio,
  Kn as SegmentedControl,
  Vn as Select,
  Dn as TextInput,
  Wn as composables,
  Vt as hoverCardInjectionKey,
  yn as useHoverCard
};
